REM This file is an execution engine that runs multiple sql files and coordinates collection of data
REM usage execSQLFileList fileList runNum no [perfmon] [yes | no]

@setlocal ENABLEDELAYEDEXPANSION

@@echo off

set TPCH_INPUT_LIST=%1
set TPCH_INPUT_LIST_DIR=%~dp1
set TPCH_INPUT_LIST_NAME=%~n1


set TPCH_RUN_NUM=%2
set TPCH_OUTPUT_DIR=%TPCH_OUTPUT_DIR_PREFIX%\%TPCH_RUN_NUM%



For /f "delims=;" %%i in ('%TPCH_AUTOMATION_CMD_PATH%\splitlist.cmd "%TPCH_RUN_NUM%\*" \') do (

	if "!NAME!" EQU "" (
		set NAME=%%i
		) else (
		set NAME=!NAME!_%%i
	)
	
)

REM set TPCH_RUNLOG_FILE=%TPCH_OUTPUT_DIR_PREFIX%\%TPCH_RUN_NUM%\%NAME%_%RANDOM%_%TPCH_INPUT_LIST_NAME%.log
set TPCH_RUNLOG_FILE=%TPCH_OUTPUT_DIR%\%NAME%_%RANDOM%_%TPCH_INPUT_LIST_NAME%.log
set TPCH_MASTERLOG_FILE=%TPCH_OUTPUT_DIR%\%TPCH_MASTERLOG_NAME%

set TPCH_COLLECT_SHOWPLAN=%3
set TPCH_COLLECT_PERFMON=%4
set TPCH_WRITE_TO_MASTER=%5


if not exist %TPCH_OUTPUT_DIR% md %TPCH_OUTPUT_DIR%

COLOR %TPCH_EXEC_WINDOW_COLOR%

for /F "tokens=1" %%i in (%TPCH_INPUT_LIST%) do (

	set TPCH_CURRENT_FILE_NAME=%%~nxi
	set TPCH_CURRENT_FILE=%TPCH_INPUT_LIST_DIR%\%%~nxi
	set TPCH_CURRENT_OUTPUT_FILE=%TPCH_OUTPUT_DIR%\%%~ni.out
	set TPCH_EXEC_FILE=!TPCH_CURRENT_FILE!
	
	if not exist !TPCH_CURRENT_FILE! goto :missingfile

	REM start perfmon 

	title %%~ni

	REM plan profile data collector

	REM perfmon data collector
	if /i '%TPCH_COLLECT_PERFMON%'=='perfmon' (
		call %TPCH_AUTOMATION_CMD_PATH%\startPerfmonCollection %TPCH_RUN_NUM% !TPCH_CURRENT_FILE_NAME!
	)

	echo !DATE! !TIME! Start: Executing !TPCH_CURRENT_FILE!
	echo !DATE! !TIME! Start: Executing !TPCH_CURRENT_FILE! >> %TPCH_RUNLOG_FILE% 2>&1

	if /i '%TPCH_WRITE_TO_MASTER%'=='yes' (
		echo !DATE! !TIME! Start: Executing !TPCH_CURRENT_FILE! >> %TPCH_MASTERLOG_FILE%
	)


	set ERRORLEVEL=0
	%TPCH_SQL_SHELL% -d %TPCH_DATABASE% -i !TPCH_EXEC_FILE! -o !TPCH_CURRENT_OUTPUT_FILE! >> %TPCH_RUNLOG_FILE% 2>&1
	echo %ERRORLEVEL%
	if not errorlevel 0 goto :errorexit

	echo !DATE! !TIME! End : Executing !TPCH_CURRENT_FILE!
	echo !DATE! !TIME! End : Executing !TPCH_CURRENT_FILE! >> %TPCH_RUNLOG_FILE% 2>&1

	if /i '%TPCH_WRITE_TO_MASTER%'=='yes' (
		echo !DATE! !TIME! End : Executing !TPCH_CURRENT_FILE! >> %TPCH_MASTERLOG_FILE%
	)

	REM end perfmon
	if /i '%TPCH_COLLECT_PERFMON%'=='perfmon' ( 
		call %TPCH_AUTOMATION_CMD_PATH%\stopPerfmonCollection !TPCH_CURRENT_FILE_NAME!
	)
		
	
)



goto finish

:errorexit

echo !DATE! !TIME! End : Executing !TPCH_CURRENT_FILE!
echo !DATE! !TIME! End : Executing !TPCH_CURRENT_FILE! >> %TPCH_RUNLOG_FILE% 2>&1
REM end perfmon 

echo Program returned with error when executing %TPCH_CURRENT_FILE%
goto finish


:missingfile
echo File %TPCH_CURRENT_FILE% missing
goto finish


:finish


endlocal
