-- using 319210735 as a seed to the RNG

/* TPC_H  Query 15 - Create View for Top Supplier Query */

CREATE	VIEW REVENUE4 (SUPPLIER_NO, TOTAL_REVENUE)
AS
SELECT	L_SUPPKEY,
	SUM(L_EXTENDEDPRICE*(1-L_DISCOUNT))
FROM	LINEITEM
WHERE	L_SHIPDATE	>= '1993-03-01' AND
	L_SHIPDATE	< dateadd(mm, 3, cast ('1993-03-01' as date))
GROUP	BY	L_SUPPKEY
GO


/* TPC_H  Query 15 - Top Supplier */

SELECT	S_SUPPKEY,
	S_NAME,
	S_ADDRESS,
	S_PHONE,
	TOTAL_REVENUE
FROM	SUPPLIER,
	REVENUE4
WHERE	S_SUPPKEY	= SUPPLIER_NO AND
	TOTAL_REVENUE	= (	SELECT	MAX(TOTAL_REVENUE)
				FROM	REVENUE4
			  )
ORDER	BY	S_SUPPKEY

DROP VIEW REVENUE4
