Attribute VB_Name = "SMErr"
'  FILE:       SMErr.bas
'              Microsoft TPC-H Kit Ver. 2.7.0-1005
'              Copyright Microsoft, 2008
'              All Rights Reserved
'
'
'  PURPOSE:    This module contains error code for all the errors that are
'              raised by StepMaster.
'  Contact:    Reshma Tharamal (reshmat@microsoft.com)
'
Option Explicit

' A public enum containing the codes for all the error
' messages that will be displayed by the project - each
' of the codes has the prefix, err
Public Enum errErrorConstants
    errParameterIdInvalid = 1000
    errParameterNameMandatory
    errParameterInsertFailed
    errStepLabelOrTextOrFileRequired
    errMandatoryNodeTextMissing
    errParameterUpdateFailed
    errDupConnDtlName
    errDummy14
    errContCriteriaMandatory
    errContCriteriaNullForGlobal
    errContCriteriaInvalid = 1010
    errParamSeparatorMissing
    errStepTextOrTextFileMandatory
    errStepTextOrFile
    errEnabledFlagFalseForGlobal
    errEnabledFlagLetFailed
    errDegParallelismNullForGlobal
    errInvalidDegParallelism
    errExecutionMechanismInvalid
    errExecutionMechanismLetFailed
    errStepLevelNull = 1020
    errStepLevelZeroForGlobal
    errStepLevelLetFailed
    errRowCountNumeric
    errConnNameInvalid
    errTimeoutNumeric
    errResetConnPropertiesFailed
    errFailureThresholdNumeric
    errConnectionUpdateFailed
    errGlobalRunMethodMandatory
    errGlobalRunMethodNull = 1030
    errGlobalRunMethodInvalid
    errGlobalRunMethodLetFailed
    errNoTrueOption
    errGetOptionFailed
    errSetEnabled
    errStepLabelTextAndFileNull
    errInvalidNodeType
    errSetOptionFailed
    errQueryParameterFailed
    errParamNotFound = 1040
    errQueryStepFailed
    errStepNotFound
    errReadFromScreenFailed
    errCopyPropertiesToFormFailed
    errMandatoryFieldNull
    errUnableToCheckNull
    errUpgradeFailed
    errFindStepSequenceFailed
    errFindParentStepIdFailed
    errCircularReference = 1050
    errAddStepFailed
    errModifyStepFailed
    errDeleteColumnFailed
    errFindPositionFailed
    errDeleteStepFailed
    errRunExistsForStepFailed
    errCreateNewParentFailed
    errInsertNewStepVersionFailed
    errCreateNewStepFailed
    errDuplicateParameterName = 1060
    errCheckDupParameterNameFailed
    errConstraintTypeInvalid
    errConstraintTypeLetFailed
    errAddConstraintFailed
    errWorkspaceIdMandatory
    errInvalidWorkspaceData
    errGetWorkspaceDetailsFailed
    errNoWorkspaceLoaded
    errWorkspaceAlreadyOpen
    errDuplicateWorkspaceName = 1070
    errWorkspaceNameMandatory
    errWorkspaceNameSetFailed
    errWorkspaceIdInvalid
    errWorkspaceIdSetFailed
    errWorkspaceInsertFailed
    errWorkspaceDeleteFailed
    errWorkspaceUpdateFailed
    errInvalidFile
    errCheckWorkspaceOpenFailed
    errWriteFailed = 1080
    errDeleteParameterRecordFailed
    errUnableToLogOutput
    errDeleteDBRecordFailed
    errRunExistsForWorkspaceFailed
    errClearHistoryFailed
    errCreateDBFailed
    errImportWspFailed
    errStepModifyFailed
    errStepDeleteFailed
    errDummy3 = 1090
    errUnableToGetWorkspace
    errInvalidNode
    errUnableToRemoveSubtree
    errSetFileNameFailed
    errStepTypeInvalid
    errObjectMandatory
    errBuiltInUpdateOnly
    errInvalidStep
    errTypeOfStepFailed
    errGetParentKeyFailed = 1100
    errLabelTextAndFileCheckFailed
    errStepTextAndFileNull
    errTextOrFileCheckFailed
    errParentStepManager
    errDeleteSubStepsFailed
    errWorkspaceNameDuplicateFailed
    errNewConstraintVersionFailed
    errDeleteStepConstraintsFailed
    errOldVersionMandatory
    errLoadConstraintsInListFailed = 1110
    errLoadGlobalStepsFailed
    errDeleteConstraintFailed
    errUpdateConstraintFailed
    errConstraintIdInvalid
    errConstraintIdSetFailed
    errGlobalStepIdInvalid
    errGlobalStepIdSetFailed
    errUpdateVersionFailed
    errQueryAdjacentConsFailed
    errConstraintNotFound = 1120
    errQueryConstraintFailed
    errSetDBBeforeLoad
    errLoadDataFailed
    errLoadRsInArrayFailed
    errConstraintsForStepFailed
    errPreConstraintsForStepFailed
    errPostConstraintsForStepFailed
    errExecuteConstraintMethodFailed
    errIdOrKeyMandatory
    errInListFailed = 1130
    errUnableToWriteChanges
    errQuickSortFailed
    errCheckParentValidFailed
    errLogErrorFailed
    errCopyListFailed
    errConnected
    errVersionMismatch
    errStepNodeFailed
    errWorkspaceSelectedFailed
    errIdentifierSelectedFailed = 1140
    errCheckForNullFieldFailed
    errInstanceInUse
    errSetVisiblePropertyFailed
    errExportWspFailed
    errMakeKeyValidFailed
    errDummy16
    errRunApplicationFailed
    errStepLabelUnique
    errDeleteSingleFile
    errMakeIdentifierValidFailed = 1150
    errTypeOfNodeFailed
    errConstraintCommandFailed
    errOpenDbFailed
    errInsertNewConstraintsFailed
    errLoadPostExecutionStepsFailed
    errLoadPreExecutionStepsFailed
    errCreateNewNodeFailed
    errDeleteNodeFailed
    errDisplayPopupFailed
    errDisplayPropertiesFailed = 1160
    errUnableToCreateNewObject
    errDiffFailed
    errLoadWorkspaceFailed
    errTerminateProcessFailed
    errCompareFailed
    errCreateConnectionFailed
    errShowFormFailed
    errAbortFailed
    errDeleteParameterFailed
    errUpdateViewFailed = 1170
    errParameterNewFailed
    errCopyNodeFailed
    errCutNodeFailed
    errCheckObjectValidFailed
    errDeleteViewNodeFailed
    errMainFailed
    errNewStepFailed
    errProcessStepModifyFailed
    errCustomizeStepFormFailed
    errInitializeStepFormFailed = 1180
    errInsertStepFailed
    errIncVersionYFailed
    errIncVersionXFailed
    errShowCreateStepFormFailed
    errShowStepFormFailed
    errStepNewFailed
    errUnableToApplyChanges
    errUnableToCommitChanges
    errGetStepNodeTextFailed
    errSelectGlobalRunMethodFailed = 1190
    errConnectionNameMandatory
    errUpdateStepFailed
    errBrowseFailed
    errDummy4
    errDummy1
    errDummy2
    errDummy
    errUnableToPreviewFile
    errCopyWorkspaceFailed
    errCopyParameterFailed = 1200
    errGetStepTypeAndPositionFailed
    errCopyStepFailed
    errMandatoryParameterMissing
    errDeleteWorkspaceRecordsFailed
    errCreateDirectoryFailed
    errConfirmDeleteOrMoveFailed
    errCreateWorkspaceFailed
    errTypeOfObjectFailed
    errCreateNodeFailed
    errCreateParameterFailed = 1210
    errInsertParameterFailed
    errCreateStepFailed
    errNoConstraintsCreated
    errCopyFailed
    errCloneFailed
    errCloneGlobalFailed
    errCloneWorkerFailed
    errCloneManagerFailed
    errLetStepTypeFailed
    errUnableToCloseWorkspace = 1220
    errUnableToModifyWorkspace
    errUnableToCreateWorkspace
    errAddArrayElementFailed
    errUpdateSequenceFailed
    errCannotCopySubSteps
    errSubStepsFailed
    errModifyInArrayFailed
    errUpdateParentVersionFailed
    errGetNodeTextFailed
    errAddToArrayFailed = 1230
    errDeleteFromArrayFailed
    errQueryIndexFailed
    errCreateNewConstraintVersionFailed
    errGetRootNodeFailed
    errPopulateWspDetailsFailed
    errLoadRsInTreeFailed
    errAddNodeToTreeFailed
    errMaxTempFiles
    errMoveFailed
    errRootNodeKeyInvalid = 1240
    errNextNodeFailed
    errBranchWillMove
    errMoveBranchInvalid
    errCreateIdRecordsetFailed
    errIdentifierColumnFailed
    errGetIdentifierFailed
    errGetStepTypeFailed
    errUpdateConstraintSeqFailed
    errDelParamsInWspFailed
    errDuplicateConnectionName = 1250
    errOpenWorkspaceFailed
    errShowWorkspaceNewFailed
    errShowWorkspaceModifyFailed
    errPopulateListFailed
    errExploreNodeFailed
    errInitializeListNodeFailed
    errMakeListColumnsFailed
    errRefreshViewFailed
    errExploreFailed
    errCollapseNodeFailed = 1260
    errUnableToProcessListViewClick
    errSetEnabledForStepFailed
    errDisplayStepFormFailed
    errSetEnabledPropertyFailed
    errInvalidDB
    errDeleteConnectionFailed
    errInvalidOperation
    errLetOperationFailed
    errIdGetFailed
    errCommitFailed = 1270
    errSaveParametersInWspFailed
    errDeleteArrayElementFailed
    errSaveWorkspaceFailed
    errInitializeFailed
    errLoadInArrayFailed
    errSaveStepsInWspFailed
    errCommitStepFailed
    errStepIdGetFailed
    errUnloadFromArrayFailed
    errValidateFailed = 1280
    errTextEnteredFailed
    errStepLabelMandatory
    errTextAndFileNullForManager
    errFailureDetailsNullForMgr
    errSetTabOrderFailed
    errSaveWspConstraintsFailed
    errCommitConstraintFailed
    errUnloadStepConstraintsFailed
    errUnableToModifyMenu
    errConfirmFailed = 1290
    errInitSubItemsFailed
    errUpdateListNodeFailed
    errAddNodeFailed
    errLoadListNodeFailed
    errAddListNodeFailed
    errExecutionFailed
    errSetListViewStyleFailed
    errSetCheckedFailed
    errGetCheckedFailed
    errUnableToProcessListViewDblClick = 1300
    errDefaultPosition
    errShellFailed
    errOpenFileFailed
    errSetTBar97Failed
    errConnectFailed
    errApiFailed
    errRegEntryInvalid
    errParseStringFailed
    errConstraintsForWspFailed
    errPostConstraintsForWspFailed = 1310
    errPreConstraintsForWspFailed
    errLoadWspPostExecStepsFailed
    errLoadWspPreExecStepsFailed
    errLoadConstraintsOnFormFailed
    errQueryFailed
    errPasteNodeFailed
    errShowAllWorkspacesFailed
    errMakeFieldValidFailed
    errInitializeTree
    errRootNodeFailed = 1320
    errDirectionInvalid
    errUnableToDetListProperty
    errUnableToGetListData
    errItemNotFound
    errItemDoesNotExist
    errParamNameInvalid
    errGetParamValueFailed
    errSubValuesFailed
    errStringOpFailed
    errReadWorkspaceDataFailed = 1330
    errUpdateRunDataFailed
    errProgramError
    errUnableToOpenFile
    errLoadRunDataFailed
    errExecuteODBCCommandFailed
    errRunWorkspaceFailed
    errExecuteStepFailed
    errUnableToWriteError
    errRunStepFailed
    errSaveChanges = 1340
    errDragDropFailed
    errInvalidParameter
    errAssignParametersFailed
    errLoadLabelsInTreeFailed
    errInstrRFailed
    errInsertIteratorFailed
    errDeleteIteratorFailed
    errTypeInvalid
    errLoadFailed
    errDeleteFailed = 1350
    errModifyFailed
    errIteratorsFailed
    errInsertFailed
    errUpdateFailed
    errDuplicateIterator
    errSaveFailed
    errReadDataFailed
    errUnloadFailed
    errAddFailed
    errExecuteBranchFailed = 1360
    errRangeNumeric
    errRangeInvalid
    errNextStepFailed
    errUpdateDisplayFailed
    errDateToStringFailed
    errGetElapsedTimeFailed
    errMaxProcessesExceeded
    errInvalidProperty
    errInvalidChild
    errCreateInstanceFailed = 1370
    errInvalidForWorker
    errInstanceOpFailed
    errNavInstancesFailed
    errIterateFailed
    errExecInstanceFailed
    errDupIterator
End Enum
