VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "cStepTree"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'  FILE:        cStepTree.cls
'               Microsoft TPC-H Kit Ver. 2.7.0-1005
'               Copyright Microsoft, 2008
'               All Rights Reserved
'
'
'  PURPOSE:     Implements step navigation functions such as determining
'               the child of a step and so on.
'  Contact:     Reshma Tharamal (reshmat@microsoft.com)
'
Option Explicit

' Used to indicate the source module name when errors
' are raised by this class
Private Const mstrModuleName As String = "cStepTree."
Private mstrSource As String

Public StepRecords As cArrSteps
Public Property Get HasChild(Optional ByVal StepKey As String, _
        Optional ByVal StepId As Long = 0) As Boolean

    Dim lTemp As Long
    
    HasChild = False
    StepId = GetStepId(StepKey, StepId)
    
    For lTemp = 0 To StepRecords.StepCount - 1
        If StepRecords(lTemp).StepType <> gintGlobalStep And StepRecords(lTemp).ParentStepId = StepId Then
            HasChild = True
            Exit For
        End If
    Next lTemp
    
End Property
Public Property Get ChildStep(Optional ByVal StepKey As String, _
        Optional ByVal StepId As Long = 0) As cStep

    Dim lTemp As Long
    
    Set ChildStep = Nothing
    StepId = GetStepId(StepKey, StepId)
    
    For lTemp = 0 To StepRecords.StepCount - 1
        If StepRecords(lTemp).StepType <> gintGlobalStep And StepRecords(lTemp).ParentStepId = StepId And _
                StepRecords(lTemp).SequenceNo = gintMinSequenceNo Then
            Set ChildStep = StepRecords(lTemp)
            Exit For
        End If
    Next lTemp
    
End Property
Public Property Get NextStep(Optional ByVal StepKey As String, _
        Optional ByVal StepId As Long = 0) As cStep

    Dim lTemp As Long
    Dim cChildStep As cStep
    
    Set NextStep = Nothing
    StepId = GetStepId(StepKey, StepId)
    Set cChildStep = StepRecords.QueryStep(StepId)
    
    For lTemp = 0 To StepRecords.StepCount - 1
        If StepRecords(lTemp).StepType <> gintGlobalStep And _
                StepRecords(lTemp).ParentStepId = cChildStep.ParentStepId And _
                StepRecords(lTemp).SequenceNo = cChildStep.SequenceNo + 1 Then
            Set NextStep = StepRecords(lTemp)
            Exit For
        End If
    Next lTemp
    
End Property
Private Function GetStepId(Optional ByVal StepKey As String, _
        Optional ByVal StepId As Long = 0) As Long
    If StepId = 0 Then
        If StringEmpty(StepKey) Then
            Err.Raise vbObjectError + errMandatoryParameterMissing, _
                    mstrModuleName & "GetStepId", LoadResString(errMandatoryParameterMissing)
        Else
            GetStepId = IIf(IsLabel(StepKey), 0, MakeIdentifierValid(StepKey))
        End If
    Else
        GetStepId = StepId
    End If
End Function
