VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "cRunInst"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
'  FILE:        cRunColIt.cls
'               Microsoft TPC-H Kit Ver. 2.7.0-1005
'               Copyright Microsoft, 2008
'               All Rights Reserved
'
'
'  PURPOSE:     This module controls the run processing. It runs a branch
'               at a time and raises events when each step completes execution.
'  Contact:     Reshma Tharamal (reshmat@microsoft.com)
'
Option Explicit

' Used to indicate the source module name when errors
' are raised by this class
Private Const mstrModuleName As String = "cRunInst."
Private mstrSource As String

' Local variable(s) to hold property value(s)
Private mstrRootKey As String
Public WspId As Long
Private mcParameters As cArrParameters
Private mcRunSteps As cArrSteps
Private mcRunConstraints As cArrConstraints
Public RunConnections As cConnections
Public RunConnDtls As cConnDtls
Private mcvntWspPreCons As Variant
Private mcvntWspPostCons As Variant
Private mcNavSteps As cStepTree

Private mcInstances As cInstances
Private mcFreeSteps As cVectorLng
Private mcFailures As cFailedSteps
Private mblnAsk As Boolean   ' Set to True when the a step with continuation criteria=Ask fails
Private mblnAbort As Boolean ' Set to True when the run is aborted
Private msAbortDtls As String
Private mbarrFree() As Byte
Private WithEvents mcTermSteps As cTermSteps
Attribute mcTermSteps.VB_VarHelpID = -1
Public RunId As Long
Public CreateInputFiles As Boolean

Private Enum WspLogEvents
    mintRunStart
    mintRunComplete
    mintStepStart
    mintStepComplete
End Enum
    
Private mcWspLog As cFileSM

Private mstrCurBranchRoot As String
Private mcDummyRootInstance As cInstance

' Key for the dummy root instance - Should be a key that is invalid for an actual step record
Private Const mstrDummyRootKey As String = "D"

' Public events to notify the calling function of the
' start and end time for each step
Public Event RunStart(dtmStartTime As Currency, strWspLog As String)
Public Event RunComplete(dtmEndTime As Currency)
Public Event StepStart(cStepRecord As cStep, dtmStartTime As Currency, _
        lngInstanceId As Long, lParentInstanceId As Long, sPath As String, _
        sIts As String, sItValue As String)
Public Event StepComplete(cStepRecord As cStep, dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)
Public Event ProcessStart(cStepRecord As cStep, strCommand As String, _
        dtmStartTime As Currency, lngInstanceId As Long, lParentInstanceId As Long, _
        sItValue As String)
Public Event ProcessComplete(cStepRecord As cStep, dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

' The class that will execute each step - we trap the events
' that are raised by it when a step starts/completes
' execution
Private WithEvents cExecStep1 As cRunStep
Attribute cExecStep1.VB_VarHelpID = -1
Private WithEvents cExecStep2 As cRunStep
Attribute cExecStep2.VB_VarHelpID = -1
Private WithEvents cExecStep3 As cRunStep
Attribute cExecStep3.VB_VarHelpID = -1
Private WithEvents cExecStep4 As cRunStep
Attribute cExecStep4.VB_VarHelpID = -1
Private WithEvents cExecStep5 As cRunStep
Attribute cExecStep5.VB_VarHelpID = -1
Private WithEvents cExecStep6 As cRunStep
Attribute cExecStep6.VB_VarHelpID = -1
Private WithEvents cExecStep7 As cRunStep
Attribute cExecStep7.VB_VarHelpID = -1
Private WithEvents cExecStep8 As cRunStep
Attribute cExecStep8.VB_VarHelpID = -1
Private WithEvents cExecStep9 As cRunStep
Attribute cExecStep9.VB_VarHelpID = -1

Private WithEvents cExecStep10 As cRunStep
Attribute cExecStep10.VB_VarHelpID = -1
Private WithEvents cExecStep11 As cRunStep
Attribute cExecStep11.VB_VarHelpID = -1
Private WithEvents cExecStep12 As cRunStep
Attribute cExecStep12.VB_VarHelpID = -1
Private WithEvents cExecStep13 As cRunStep
Attribute cExecStep13.VB_VarHelpID = -1
Private WithEvents cExecStep14 As cRunStep
Attribute cExecStep14.VB_VarHelpID = -1
Private WithEvents cExecStep15 As cRunStep
Attribute cExecStep15.VB_VarHelpID = -1
Private WithEvents cExecStep16 As cRunStep
Attribute cExecStep16.VB_VarHelpID = -1
Private WithEvents cExecStep17 As cRunStep
Attribute cExecStep17.VB_VarHelpID = -1
Private WithEvents cExecStep18 As cRunStep
Attribute cExecStep18.VB_VarHelpID = -1
Private WithEvents cExecStep19 As cRunStep
Attribute cExecStep19.VB_VarHelpID = -1

Private WithEvents cExecStep20 As cRunStep
Attribute cExecStep20.VB_VarHelpID = -1
Private WithEvents cExecStep21 As cRunStep
Attribute cExecStep21.VB_VarHelpID = -1
Private WithEvents cExecStep22 As cRunStep
Attribute cExecStep22.VB_VarHelpID = -1
Private WithEvents cExecStep23 As cRunStep
Attribute cExecStep23.VB_VarHelpID = -1
Private WithEvents cExecStep24 As cRunStep
Attribute cExecStep24.VB_VarHelpID = -1
Private WithEvents cExecStep25 As cRunStep
Attribute cExecStep25.VB_VarHelpID = -1
Private WithEvents cExecStep26 As cRunStep
Attribute cExecStep26.VB_VarHelpID = -1
Private WithEvents cExecStep27 As cRunStep
Attribute cExecStep27.VB_VarHelpID = -1
Private WithEvents cExecStep28 As cRunStep
Attribute cExecStep28.VB_VarHelpID = -1
Private WithEvents cExecStep29 As cRunStep
Attribute cExecStep29.VB_VarHelpID = -1

Private WithEvents cExecStep30 As cRunStep
Attribute cExecStep30.VB_VarHelpID = -1
Private WithEvents cExecStep31 As cRunStep
Attribute cExecStep31.VB_VarHelpID = -1
Private WithEvents cExecStep32 As cRunStep
Attribute cExecStep32.VB_VarHelpID = -1
Private WithEvents cExecStep33 As cRunStep
Attribute cExecStep33.VB_VarHelpID = -1
Private WithEvents cExecStep34 As cRunStep
Attribute cExecStep34.VB_VarHelpID = -1
Private WithEvents cExecStep35 As cRunStep
Attribute cExecStep35.VB_VarHelpID = -1
Private WithEvents cExecStep36 As cRunStep
Attribute cExecStep36.VB_VarHelpID = -1
Private WithEvents cExecStep37 As cRunStep
Attribute cExecStep37.VB_VarHelpID = -1
Private WithEvents cExecStep38 As cRunStep
Attribute cExecStep38.VB_VarHelpID = -1
Private WithEvents cExecStep39 As cRunStep
Attribute cExecStep39.VB_VarHelpID = -1

Private WithEvents cExecStep40 As cRunStep
Attribute cExecStep40.VB_VarHelpID = -1
Private WithEvents cExecStep41 As cRunStep
Attribute cExecStep41.VB_VarHelpID = -1
Private WithEvents cExecStep42 As cRunStep
Attribute cExecStep42.VB_VarHelpID = -1
Private WithEvents cExecStep43 As cRunStep
Attribute cExecStep43.VB_VarHelpID = -1
Private WithEvents cExecStep44 As cRunStep
Attribute cExecStep44.VB_VarHelpID = -1
Private WithEvents cExecStep45 As cRunStep
Attribute cExecStep45.VB_VarHelpID = -1
Private WithEvents cExecStep46 As cRunStep
Attribute cExecStep46.VB_VarHelpID = -1
Private WithEvents cExecStep47 As cRunStep
Attribute cExecStep47.VB_VarHelpID = -1
Private WithEvents cExecStep48 As cRunStep
Attribute cExecStep48.VB_VarHelpID = -1
Private WithEvents cExecStep49 As cRunStep
Attribute cExecStep49.VB_VarHelpID = -1

Private WithEvents cExecStep50 As cRunStep
Attribute cExecStep50.VB_VarHelpID = -1
Private WithEvents cExecStep51 As cRunStep
Attribute cExecStep51.VB_VarHelpID = -1
Private WithEvents cExecStep52 As cRunStep
Attribute cExecStep52.VB_VarHelpID = -1
Private WithEvents cExecStep53 As cRunStep
Attribute cExecStep53.VB_VarHelpID = -1
Private WithEvents cExecStep54 As cRunStep
Attribute cExecStep54.VB_VarHelpID = -1
Private WithEvents cExecStep55 As cRunStep
Attribute cExecStep55.VB_VarHelpID = -1
Private WithEvents cExecStep56 As cRunStep
Attribute cExecStep56.VB_VarHelpID = -1
Private WithEvents cExecStep57 As cRunStep
Attribute cExecStep57.VB_VarHelpID = -1
Private WithEvents cExecStep58 As cRunStep
Attribute cExecStep58.VB_VarHelpID = -1
Private WithEvents cExecStep59 As cRunStep
Attribute cExecStep59.VB_VarHelpID = -1

Private WithEvents cExecStep60 As cRunStep
Attribute cExecStep60.VB_VarHelpID = -1
Private WithEvents cExecStep61 As cRunStep
Attribute cExecStep61.VB_VarHelpID = -1
Private WithEvents cExecStep62 As cRunStep
Attribute cExecStep62.VB_VarHelpID = -1
Private WithEvents cExecStep63 As cRunStep
Attribute cExecStep63.VB_VarHelpID = -1
Private WithEvents cExecStep64 As cRunStep
Attribute cExecStep64.VB_VarHelpID = -1
Private WithEvents cExecStep65 As cRunStep
Attribute cExecStep65.VB_VarHelpID = -1
Private WithEvents cExecStep66 As cRunStep
Attribute cExecStep66.VB_VarHelpID = -1
Private WithEvents cExecStep67 As cRunStep
Attribute cExecStep67.VB_VarHelpID = -1
Private WithEvents cExecStep68 As cRunStep
Attribute cExecStep68.VB_VarHelpID = -1
Private WithEvents cExecStep69 As cRunStep
Attribute cExecStep69.VB_VarHelpID = -1

Private WithEvents cExecStep70 As cRunStep
Attribute cExecStep70.VB_VarHelpID = -1
Private WithEvents cExecStep71 As cRunStep
Attribute cExecStep71.VB_VarHelpID = -1
Private WithEvents cExecStep72 As cRunStep
Attribute cExecStep72.VB_VarHelpID = -1
Private WithEvents cExecStep73 As cRunStep
Attribute cExecStep73.VB_VarHelpID = -1
Private WithEvents cExecStep74 As cRunStep
Attribute cExecStep74.VB_VarHelpID = -1
Private WithEvents cExecStep75 As cRunStep
Attribute cExecStep75.VB_VarHelpID = -1
Private WithEvents cExecStep76 As cRunStep
Attribute cExecStep76.VB_VarHelpID = -1
Private WithEvents cExecStep77 As cRunStep
Attribute cExecStep77.VB_VarHelpID = -1
Private WithEvents cExecStep78 As cRunStep
Attribute cExecStep78.VB_VarHelpID = -1
Private WithEvents cExecStep79 As cRunStep
Attribute cExecStep79.VB_VarHelpID = -1

Private WithEvents cExecStep80 As cRunStep
Attribute cExecStep80.VB_VarHelpID = -1
Private WithEvents cExecStep81 As cRunStep
Attribute cExecStep81.VB_VarHelpID = -1
Private WithEvents cExecStep82 As cRunStep
Attribute cExecStep82.VB_VarHelpID = -1
Private WithEvents cExecStep83 As cRunStep
Attribute cExecStep83.VB_VarHelpID = -1
Private WithEvents cExecStep84 As cRunStep
Attribute cExecStep84.VB_VarHelpID = -1
Private WithEvents cExecStep85 As cRunStep
Attribute cExecStep85.VB_VarHelpID = -1
Private WithEvents cExecStep86 As cRunStep
Attribute cExecStep86.VB_VarHelpID = -1
Private WithEvents cExecStep87 As cRunStep
Attribute cExecStep87.VB_VarHelpID = -1
Private WithEvents cExecStep88 As cRunStep
Attribute cExecStep88.VB_VarHelpID = -1
Private WithEvents cExecStep89 As cRunStep
Attribute cExecStep89.VB_VarHelpID = -1

Private WithEvents cExecStep90 As cRunStep
Attribute cExecStep90.VB_VarHelpID = -1
Private WithEvents cExecStep91 As cRunStep
Attribute cExecStep91.VB_VarHelpID = -1
Private WithEvents cExecStep92 As cRunStep
Attribute cExecStep92.VB_VarHelpID = -1
Private WithEvents cExecStep93 As cRunStep
Attribute cExecStep93.VB_VarHelpID = -1
Private WithEvents cExecStep94 As cRunStep
Attribute cExecStep94.VB_VarHelpID = -1
Private WithEvents cExecStep95 As cRunStep
Attribute cExecStep95.VB_VarHelpID = -1
Private WithEvents cExecStep96 As cRunStep
Attribute cExecStep96.VB_VarHelpID = -1
Private WithEvents cExecStep97 As cRunStep
Attribute cExecStep97.VB_VarHelpID = -1
Private WithEvents cExecStep98 As cRunStep
Attribute cExecStep98.VB_VarHelpID = -1
Private WithEvents cExecStep99 As cRunStep
Attribute cExecStep99.VB_VarHelpID = -1

Private Const msIt As String = " Iterator: "
Private Const msItValue As String = " Value: "
Public Sub Abort()

    On Error GoTo AbortErr

    ' Make sure that we don't execute any more steps
    Call StopRun
    
    If cExecStep1 Is Nothing And cExecStep2 Is Nothing And cExecStep3 Is Nothing And cExecStep4 Is Nothing And cExecStep5 Is Nothing And cExecStep6 Is Nothing And cExecStep7 Is Nothing And cExecStep8 Is Nothing And cExecStep9 Is Nothing And _
       cExecStep10 Is Nothing And cExecStep11 Is Nothing And cExecStep12 Is Nothing And cExecStep13 Is Nothing And cExecStep14 Is Nothing And cExecStep15 Is Nothing And cExecStep16 Is Nothing And cExecStep17 Is Nothing And cExecStep18 Is Nothing And cExecStep19 Is Nothing And _
       cExecStep20 Is Nothing And cExecStep21 Is Nothing And cExecStep22 Is Nothing And cExecStep23 Is Nothing And cExecStep24 Is Nothing And cExecStep25 Is Nothing And cExecStep26 Is Nothing And cExecStep27 Is Nothing And cExecStep28 Is Nothing And cExecStep29 Is Nothing And _
       cExecStep30 Is Nothing And cExecStep31 Is Nothing And cExecStep32 Is Nothing And cExecStep33 Is Nothing And cExecStep34 Is Nothing And cExecStep35 Is Nothing And cExecStep36 Is Nothing And cExecStep37 Is Nothing And cExecStep38 Is Nothing And cExecStep39 Is Nothing And _
       cExecStep40 Is Nothing And cExecStep41 Is Nothing And cExecStep42 Is Nothing And cExecStep43 Is Nothing And cExecStep44 Is Nothing And cExecStep45 Is Nothing And cExecStep46 Is Nothing And cExecStep47 Is Nothing And cExecStep48 Is Nothing And cExecStep49 Is Nothing And _
       cExecStep50 Is Nothing And cExecStep51 Is Nothing And cExecStep52 Is Nothing And cExecStep53 Is Nothing And cExecStep54 Is Nothing And cExecStep55 Is Nothing And cExecStep56 Is Nothing And cExecStep57 Is Nothing And cExecStep58 Is Nothing And cExecStep59 Is Nothing And _
       cExecStep60 Is Nothing And cExecStep61 Is Nothing And cExecStep62 Is Nothing And cExecStep63 Is Nothing And cExecStep64 Is Nothing And cExecStep65 Is Nothing And cExecStep66 Is Nothing And cExecStep67 Is Nothing And cExecStep68 Is Nothing And cExecStep69 Is Nothing And _
       cExecStep70 Is Nothing And cExecStep71 Is Nothing And cExecStep72 Is Nothing And cExecStep73 Is Nothing And cExecStep74 Is Nothing And cExecStep75 Is Nothing And cExecStep76 Is Nothing And cExecStep77 Is Nothing And cExecStep78 Is Nothing And cExecStep79 Is Nothing And _
       cExecStep80 Is Nothing And cExecStep81 Is Nothing And cExecStep82 Is Nothing And cExecStep83 Is Nothing And cExecStep84 Is Nothing And cExecStep85 Is Nothing And cExecStep86 Is Nothing And cExecStep87 Is Nothing And cExecStep88 Is Nothing And cExecStep89 Is Nothing And _
       cExecStep90 Is Nothing And cExecStep91 Is Nothing And cExecStep92 Is Nothing And cExecStep93 Is Nothing And cExecStep94 Is Nothing And cExecStep95 Is Nothing And cExecStep96 Is Nothing And cExecStep97 Is Nothing And cExecStep98 Is Nothing And cExecStep99 Is Nothing Then
        ' Then...
        WriteToWspLog (mintRunComplete)
        RaiseEvent RunComplete(Determine64BitTime())
    Else
        ' Abort each of the steps that is currently executing.
        If Not cExecStep1 Is Nothing Then
            cExecStep1.Abort
        End If
        
        If Not cExecStep2 Is Nothing Then
            cExecStep2.Abort
        End If
        
        If Not cExecStep3 Is Nothing Then
            cExecStep3.Abort
        End If
        
        If Not cExecStep4 Is Nothing Then
            cExecStep4.Abort
        End If
        
        If Not cExecStep5 Is Nothing Then
            cExecStep5.Abort
        End If
        
        If Not cExecStep6 Is Nothing Then
            cExecStep6.Abort
        End If
        
        If Not cExecStep7 Is Nothing Then
            cExecStep7.Abort
        End If
        
        If Not cExecStep8 Is Nothing Then
            cExecStep8.Abort
        End If
        
        If Not cExecStep9 Is Nothing Then
            cExecStep9.Abort
        End If
        
        If Not cExecStep10 Is Nothing Then
            cExecStep10.Abort
        End If
        
        If Not cExecStep11 Is Nothing Then
            cExecStep11.Abort
        End If
        
        If Not cExecStep12 Is Nothing Then
            cExecStep12.Abort
        End If
        
        If Not cExecStep13 Is Nothing Then
            cExecStep13.Abort
        End If
        
        If Not cExecStep14 Is Nothing Then
            cExecStep14.Abort
        End If
        
        If Not cExecStep15 Is Nothing Then
            cExecStep15.Abort
        End If
        
        If Not cExecStep16 Is Nothing Then
            cExecStep16.Abort
        End If
        
        If Not cExecStep17 Is Nothing Then
            cExecStep17.Abort
        End If
        
        If Not cExecStep18 Is Nothing Then
            cExecStep18.Abort
        End If
        
        If Not cExecStep19 Is Nothing Then
            cExecStep19.Abort
        End If
        
        If Not cExecStep20 Is Nothing Then
            cExecStep20.Abort
        End If
        
        If Not cExecStep21 Is Nothing Then
            cExecStep21.Abort
        End If
        
        If Not cExecStep22 Is Nothing Then
            cExecStep22.Abort
        End If
        
        If Not cExecStep23 Is Nothing Then
            cExecStep23.Abort
        End If
        
        If Not cExecStep24 Is Nothing Then
            cExecStep24.Abort
        End If
        
        If Not cExecStep25 Is Nothing Then
            cExecStep25.Abort
        End If
        
        If Not cExecStep26 Is Nothing Then
            cExecStep26.Abort
        End If
        
        If Not cExecStep27 Is Nothing Then
            cExecStep27.Abort
        End If
        
        If Not cExecStep28 Is Nothing Then
            cExecStep28.Abort
        End If
        
        If Not cExecStep29 Is Nothing Then
            cExecStep29.Abort
        End If
        
        ' ============== 30 - 39 ==============
        If Not cExecStep30 Is Nothing Then
            cExecStep30.Abort
        End If
        
        If Not cExecStep31 Is Nothing Then
            cExecStep31.Abort
        End If
        
        If Not cExecStep32 Is Nothing Then
            cExecStep32.Abort
        End If
        
        If Not cExecStep33 Is Nothing Then
            cExecStep33.Abort
        End If
        
        If Not cExecStep34 Is Nothing Then
            cExecStep34.Abort
        End If
        
        If Not cExecStep35 Is Nothing Then
            cExecStep35.Abort
        End If
        
        If Not cExecStep36 Is Nothing Then
            cExecStep36.Abort
        End If
        
        If Not cExecStep37 Is Nothing Then
            cExecStep37.Abort
        End If
        
        If Not cExecStep38 Is Nothing Then
            cExecStep38.Abort
        End If
        
        If Not cExecStep39 Is Nothing Then
            cExecStep39.Abort
        End If
     
        ' ============== 40 - 49 ==============
        If Not cExecStep40 Is Nothing Then
            cExecStep40.Abort
        End If
        
        If Not cExecStep41 Is Nothing Then
            cExecStep41.Abort
        End If
        
        If Not cExecStep42 Is Nothing Then
            cExecStep42.Abort
        End If
        
        If Not cExecStep43 Is Nothing Then
            cExecStep43.Abort
        End If
        
        If Not cExecStep44 Is Nothing Then
            cExecStep44.Abort
        End If
        
        If Not cExecStep45 Is Nothing Then
            cExecStep45.Abort
        End If
        
        If Not cExecStep46 Is Nothing Then
            cExecStep46.Abort
        End If
        
        If Not cExecStep47 Is Nothing Then
            cExecStep47.Abort
        End If
        
        If Not cExecStep48 Is Nothing Then
            cExecStep48.Abort
        End If
        
        If Not cExecStep49 Is Nothing Then
            cExecStep49.Abort
        End If
     
        ' ============== 50 - 59 ==============
        If Not cExecStep50 Is Nothing Then
            cExecStep50.Abort
        End If
        
        If Not cExecStep51 Is Nothing Then
            cExecStep51.Abort
        End If
        
        If Not cExecStep52 Is Nothing Then
            cExecStep52.Abort
        End If
        
        If Not cExecStep53 Is Nothing Then
            cExecStep53.Abort
        End If
        
        If Not cExecStep54 Is Nothing Then
            cExecStep54.Abort
        End If
        
        If Not cExecStep55 Is Nothing Then
            cExecStep55.Abort
        End If
        
        If Not cExecStep56 Is Nothing Then
            cExecStep56.Abort
        End If
        
        If Not cExecStep57 Is Nothing Then
            cExecStep57.Abort
        End If
        
        If Not cExecStep58 Is Nothing Then
            cExecStep58.Abort
        End If
        
        If Not cExecStep59 Is Nothing Then
            cExecStep59.Abort
        End If
     
        ' ============== 60 - 69 ==============
        If Not cExecStep60 Is Nothing Then
            cExecStep60.Abort
        End If
        
        If Not cExecStep61 Is Nothing Then
            cExecStep61.Abort
        End If
        
        If Not cExecStep62 Is Nothing Then
            cExecStep62.Abort
        End If
        
        If Not cExecStep63 Is Nothing Then
            cExecStep63.Abort
        End If
        
        If Not cExecStep64 Is Nothing Then
            cExecStep64.Abort
        End If
        
        If Not cExecStep65 Is Nothing Then
            cExecStep65.Abort
        End If
        
        If Not cExecStep66 Is Nothing Then
            cExecStep66.Abort
        End If
        
        If Not cExecStep67 Is Nothing Then
            cExecStep67.Abort
        End If
        
        If Not cExecStep68 Is Nothing Then
            cExecStep68.Abort
        End If
        
        If Not cExecStep69 Is Nothing Then
            cExecStep69.Abort
        End If
     
        ' ============== 70 - 79 ==============
        If Not cExecStep70 Is Nothing Then
            cExecStep70.Abort
        End If
        
        If Not cExecStep71 Is Nothing Then
            cExecStep71.Abort
        End If
        
        If Not cExecStep72 Is Nothing Then
            cExecStep72.Abort
        End If
        
        If Not cExecStep73 Is Nothing Then
            cExecStep73.Abort
        End If
        
        If Not cExecStep74 Is Nothing Then
            cExecStep74.Abort
        End If
        
        If Not cExecStep75 Is Nothing Then
            cExecStep75.Abort
        End If
        
        If Not cExecStep76 Is Nothing Then
            cExecStep76.Abort
        End If
        
        If Not cExecStep77 Is Nothing Then
            cExecStep77.Abort
        End If
        
        If Not cExecStep78 Is Nothing Then
            cExecStep78.Abort
        End If
        
        If Not cExecStep79 Is Nothing Then
            cExecStep79.Abort
        End If
     
        ' ============== 80 - 89 ==============
        If Not cExecStep80 Is Nothing Then
            cExecStep80.Abort
        End If
        
        If Not cExecStep81 Is Nothing Then
            cExecStep81.Abort
        End If
        
        If Not cExecStep82 Is Nothing Then
            cExecStep82.Abort
        End If
        
        If Not cExecStep83 Is Nothing Then
            cExecStep83.Abort
        End If
        
        If Not cExecStep84 Is Nothing Then
            cExecStep84.Abort
        End If
        
        If Not cExecStep85 Is Nothing Then
            cExecStep85.Abort
        End If
        
        If Not cExecStep86 Is Nothing Then
            cExecStep86.Abort
        End If
        
        If Not cExecStep87 Is Nothing Then
            cExecStep87.Abort
        End If
        
        If Not cExecStep88 Is Nothing Then
            cExecStep88.Abort
        End If
        
        If Not cExecStep89 Is Nothing Then
            cExecStep89.Abort
        End If
     
        ' ============== 90 - 99 ==============
        If Not cExecStep90 Is Nothing Then
            cExecStep90.Abort
        End If
        
        If Not cExecStep91 Is Nothing Then
            cExecStep91.Abort
        End If
        
        If Not cExecStep92 Is Nothing Then
            cExecStep92.Abort
        End If
        
        If Not cExecStep93 Is Nothing Then
            cExecStep93.Abort
        End If
        
        If Not cExecStep94 Is Nothing Then
            cExecStep94.Abort
        End If
        
        If Not cExecStep95 Is Nothing Then
            cExecStep95.Abort
        End If
        
        If Not cExecStep96 Is Nothing Then
            cExecStep96.Abort
        End If
        
        If Not cExecStep97 Is Nothing Then
            cExecStep97.Abort
        End If
        
        If Not cExecStep98 Is Nothing Then
            cExecStep98.Abort
        End If
        
        If Not cExecStep99 Is Nothing Then
            cExecStep99.Abort
        End If
     
    End If
    
    Exit Sub

AbortErr:
    Call LogErrors(Errors)
    On Error GoTo 0
    ShowError errAbortFailed
    ' Try to abort the remaining steps, if any
    Resume Next

End Sub
Public Sub AbortSiblings(cTermInstance As cInstance)

    On Error GoTo AbortSiblingsErr

    ' Abort each of the steps that is currently executing.
    If Not cExecStep1 Is Nothing Then
        If cExecStep1.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep1.Abort
        End If
    End If
    
    If Not cExecStep2 Is Nothing Then
        If cExecStep2.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep2.Abort
        End If
    End If
    
    If Not cExecStep3 Is Nothing Then
        If cExecStep3.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep3.Abort
        End If
    End If
    
    If Not cExecStep4 Is Nothing Then
        If cExecStep4.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep4.Abort
        End If
    End If
    
    If Not cExecStep5 Is Nothing Then
        If cExecStep5.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep5.Abort
        End If
    End If
    
    If Not cExecStep6 Is Nothing Then
        If cExecStep6.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep6.Abort
        End If
    End If
    
    If Not cExecStep7 Is Nothing Then
        If cExecStep7.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep7.Abort
        End If
    End If
    
    If Not cExecStep8 Is Nothing Then
        If cExecStep8.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep8.Abort
        End If
    End If
    
    If Not cExecStep9 Is Nothing Then
        If cExecStep9.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep9.Abort
        End If
    End If
    
    If Not cExecStep10 Is Nothing Then
        If cExecStep10.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep10.Abort
        End If
    End If
    
    If Not cExecStep11 Is Nothing Then
        If cExecStep11.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep11.Abort
        End If
    End If
    
    If Not cExecStep12 Is Nothing Then
        If cExecStep12.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep12.Abort
        End If
    End If
    
    If Not cExecStep13 Is Nothing Then
        If cExecStep13.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep13.Abort
        End If
    End If
    
    If Not cExecStep14 Is Nothing Then
        If cExecStep14.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep14.Abort
        End If
    End If
    
    If Not cExecStep15 Is Nothing Then
        If cExecStep15.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep15.Abort
        End If
    End If
    
    If Not cExecStep16 Is Nothing Then
        If cExecStep16.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep16.Abort
        End If
    End If
    
    If Not cExecStep17 Is Nothing Then
        If cExecStep17.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep17.Abort
        End If
    End If
    
    If Not cExecStep18 Is Nothing Then
        If cExecStep18.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep18.Abort
        End If
    End If
    
    If Not cExecStep19 Is Nothing Then
        If cExecStep19.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep19.Abort
        End If
    End If
    
    If Not cExecStep20 Is Nothing Then
        If cExecStep20.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep20.Abort
        End If
    End If
    
    If Not cExecStep21 Is Nothing Then
        If cExecStep21.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep21.Abort
        End If
    End If
    
    If Not cExecStep22 Is Nothing Then
        If cExecStep22.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep22.Abort
        End If
    End If
    
    If Not cExecStep23 Is Nothing Then
        If cExecStep23.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep23.Abort
        End If
    End If
    
    If Not cExecStep24 Is Nothing Then
        If cExecStep24.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep24.Abort
        End If
    End If
    
    If Not cExecStep25 Is Nothing Then
        If cExecStep25.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep25.Abort
        End If
    End If
    
    If Not cExecStep26 Is Nothing Then
        If cExecStep26.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep26.Abort
        End If
    End If
    
    If Not cExecStep27 Is Nothing Then
        If cExecStep27.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep27.Abort
        End If
    End If
    
    If Not cExecStep28 Is Nothing Then
        If cExecStep28.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep28.Abort
        End If
    End If
    
    If Not cExecStep29 Is Nothing Then
        If cExecStep29.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep29.Abort
        End If
    End If
    
    ' ============ 30 =================
    If Not cExecStep30 Is Nothing Then
        If cExecStep30.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep30.Abort
        End If
    End If
    
    If Not cExecStep31 Is Nothing Then
        If cExecStep31.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep31.Abort
        End If
    End If
    
    If Not cExecStep32 Is Nothing Then
        If cExecStep32.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep32.Abort
        End If
    End If
    
    If Not cExecStep33 Is Nothing Then
        If cExecStep33.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep33.Abort
        End If
    End If
    
    If Not cExecStep34 Is Nothing Then
        If cExecStep34.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep34.Abort
        End If
    End If
    
    If Not cExecStep35 Is Nothing Then
        If cExecStep35.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep35.Abort
        End If
    End If
    
    If Not cExecStep36 Is Nothing Then
        If cExecStep36.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep36.Abort
        End If
    End If
    
    If Not cExecStep37 Is Nothing Then
        If cExecStep37.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep37.Abort
        End If
    End If
    
    If Not cExecStep38 Is Nothing Then
        If cExecStep38.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep38.Abort
        End If
    End If
    
    If Not cExecStep39 Is Nothing Then
        If cExecStep39.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep39.Abort
        End If
    End If
    
    ' ============ 40 =================
    If Not cExecStep40 Is Nothing Then
        If cExecStep40.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep40.Abort
        End If
    End If
    
    If Not cExecStep41 Is Nothing Then
        If cExecStep41.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep41.Abort
        End If
    End If
    
    If Not cExecStep42 Is Nothing Then
        If cExecStep42.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep42.Abort
        End If
    End If
    
    If Not cExecStep43 Is Nothing Then
        If cExecStep43.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep43.Abort
        End If
    End If
    
    If Not cExecStep44 Is Nothing Then
        If cExecStep44.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep44.Abort
        End If
    End If
    
    If Not cExecStep45 Is Nothing Then
        If cExecStep45.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep45.Abort
        End If
    End If
    
    If Not cExecStep46 Is Nothing Then
        If cExecStep46.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep46.Abort
        End If
    End If
    
    If Not cExecStep47 Is Nothing Then
        If cExecStep47.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep47.Abort
        End If
    End If
    
    If Not cExecStep48 Is Nothing Then
        If cExecStep48.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep48.Abort
        End If
    End If
    
    If Not cExecStep49 Is Nothing Then
        If cExecStep49.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep49.Abort
        End If
    End If
    
    ' ============ 50 =================
    If Not cExecStep50 Is Nothing Then
        If cExecStep50.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep50.Abort
        End If
    End If
    
    If Not cExecStep51 Is Nothing Then
        If cExecStep51.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep51.Abort
        End If
    End If
    
    If Not cExecStep52 Is Nothing Then
        If cExecStep52.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep52.Abort
        End If
    End If
    
    If Not cExecStep53 Is Nothing Then
        If cExecStep53.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep53.Abort
        End If
    End If
    
    If Not cExecStep54 Is Nothing Then
        If cExecStep54.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep54.Abort
        End If
    End If
    
    If Not cExecStep55 Is Nothing Then
        If cExecStep55.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep55.Abort
        End If
    End If
    
    If Not cExecStep56 Is Nothing Then
        If cExecStep56.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep56.Abort
        End If
    End If
    
    If Not cExecStep57 Is Nothing Then
        If cExecStep57.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep57.Abort
        End If
    End If
    
    If Not cExecStep58 Is Nothing Then
        If cExecStep58.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep58.Abort
        End If
    End If
    
    If Not cExecStep59 Is Nothing Then
        If cExecStep59.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep59.Abort
        End If
    End If
    
    ' ============ 60 =================
    If Not cExecStep60 Is Nothing Then
        If cExecStep60.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep60.Abort
        End If
    End If
    
    If Not cExecStep61 Is Nothing Then
        If cExecStep61.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep61.Abort
        End If
    End If
    
    If Not cExecStep62 Is Nothing Then
        If cExecStep62.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep62.Abort
        End If
    End If
    
    If Not cExecStep63 Is Nothing Then
        If cExecStep63.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep63.Abort
        End If
    End If
    
    If Not cExecStep64 Is Nothing Then
        If cExecStep64.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep64.Abort
        End If
    End If
    
    If Not cExecStep65 Is Nothing Then
        If cExecStep65.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep65.Abort
        End If
    End If
    
    If Not cExecStep66 Is Nothing Then
        If cExecStep66.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep66.Abort
        End If
    End If
    
    If Not cExecStep67 Is Nothing Then
        If cExecStep67.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep67.Abort
        End If
    End If
    
    If Not cExecStep68 Is Nothing Then
        If cExecStep68.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep68.Abort
        End If
    End If
    
    If Not cExecStep69 Is Nothing Then
        If cExecStep69.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep69.Abort
        End If
    End If
    
    ' ============ 70 =================
    If Not cExecStep70 Is Nothing Then
        If cExecStep70.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep70.Abort
        End If
    End If
    
    If Not cExecStep71 Is Nothing Then
        If cExecStep71.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep71.Abort
        End If
    End If
    
    If Not cExecStep72 Is Nothing Then
        If cExecStep72.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep72.Abort
        End If
    End If
    
    If Not cExecStep73 Is Nothing Then
        If cExecStep73.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep73.Abort
        End If
    End If
    
    If Not cExecStep74 Is Nothing Then
        If cExecStep74.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep74.Abort
        End If
    End If
    
    If Not cExecStep75 Is Nothing Then
        If cExecStep75.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep75.Abort
        End If
    End If
    
    If Not cExecStep76 Is Nothing Then
        If cExecStep76.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep76.Abort
        End If
    End If
    
    If Not cExecStep77 Is Nothing Then
        If cExecStep77.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep77.Abort
        End If
    End If
    
    If Not cExecStep78 Is Nothing Then
        If cExecStep78.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep78.Abort
        End If
    End If
    
    If Not cExecStep79 Is Nothing Then
        If cExecStep79.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep79.Abort
        End If
    End If
    
    ' ============ 80 =================
    If Not cExecStep80 Is Nothing Then
        If cExecStep80.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep80.Abort
        End If
    End If
    
    If Not cExecStep81 Is Nothing Then
        If cExecStep81.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep81.Abort
        End If
    End If
    
    If Not cExecStep82 Is Nothing Then
        If cExecStep82.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep82.Abort
        End If
    End If
    
    If Not cExecStep83 Is Nothing Then
        If cExecStep83.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep83.Abort
        End If
    End If
    
    If Not cExecStep84 Is Nothing Then
        If cExecStep84.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep84.Abort
        End If
    End If
    
    If Not cExecStep85 Is Nothing Then
        If cExecStep85.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep85.Abort
        End If
    End If
    
    If Not cExecStep86 Is Nothing Then
        If cExecStep86.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep86.Abort
        End If
    End If
    
    If Not cExecStep87 Is Nothing Then
        If cExecStep87.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep87.Abort
        End If
    End If
    
    If Not cExecStep88 Is Nothing Then
        If cExecStep88.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep88.Abort
        End If
    End If
    
    If Not cExecStep89 Is Nothing Then
        If cExecStep89.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep89.Abort
        End If
    End If
    
    ' ============ 90 =================
    If Not cExecStep90 Is Nothing Then
        If cExecStep90.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep90.Abort
        End If
    End If
    
    If Not cExecStep91 Is Nothing Then
        If cExecStep91.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep91.Abort
        End If
    End If
    
    If Not cExecStep92 Is Nothing Then
        If cExecStep92.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep92.Abort
        End If
    End If
    
    If Not cExecStep93 Is Nothing Then
        If cExecStep93.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep93.Abort
        End If
    End If
    
    If Not cExecStep94 Is Nothing Then
        If cExecStep94.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep94.Abort
        End If
    End If
    
    If Not cExecStep95 Is Nothing Then
        If cExecStep95.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep95.Abort
        End If
    End If
    
    If Not cExecStep96 Is Nothing Then
        If cExecStep96.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep96.Abort
        End If
    End If
    
    If Not cExecStep97 Is Nothing Then
        If cExecStep97.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep97.Abort
        End If
    End If
    
    If Not cExecStep98 Is Nothing Then
        If cExecStep98.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep98.Abort
        End If
    End If
    
    If Not cExecStep99 Is Nothing Then
        If cExecStep99.ExecuteStep.ParentStepId = cTermInstance.Step.ParentStepId Then
            cExecStep99.Abort
        End If
    End If

    Exit Sub

AbortSiblingsErr:
    Call LogErrors(Errors)
    On Error GoTo 0
    ShowError errAbortFailed
    ' Try to abort the remaining steps, if any
    Resume Next

End Sub
Private Sub ExecutionFailed(cTermStep As cRunStep)
    ' Called when execution of a step fails for any reason - ensure that execution
    ' continues

    On Error GoTo ExecutionFailedErr
    
    Call AddFreeProcess(cTermStep.Index)
    
    Call RunBranch(mstrCurBranchRoot)
    
    Exit Sub
    
ExecutionFailedErr:
    ' Log the error code raised by Visual Basic - do not raise an error here!
    Call LogErrors(Errors)
    
End Sub
Private Sub FreeExecStep(lngIndex As Long)
    ' Frees an instance of a cExecuteSM object depending on the index
    On Error GoTo FreeExecStepErr
    
    Select Case lngIndex + 1
        Case 1
            Set cExecStep1 = Nothing
        Case 2
            Set cExecStep2 = Nothing
        Case 3
            Set cExecStep3 = Nothing
        Case 4
            Set cExecStep4 = Nothing
        Case 5
            Set cExecStep5 = Nothing
        Case 6
            Set cExecStep6 = Nothing
        Case 7
            Set cExecStep7 = Nothing
        Case 8
            Set cExecStep8 = Nothing
        Case 9
            Set cExecStep9 = Nothing
        Case 10
            Set cExecStep10 = Nothing
        Case 11
            Set cExecStep11 = Nothing
        Case 12
            Set cExecStep12 = Nothing
        Case 13
            Set cExecStep13 = Nothing
        Case 14
            Set cExecStep14 = Nothing
        Case 15
            Set cExecStep15 = Nothing
        Case 16
            Set cExecStep16 = Nothing
        Case 17
            Set cExecStep17 = Nothing
        Case 18
            Set cExecStep18 = Nothing
        Case 19
            Set cExecStep19 = Nothing
        Case 20
            Set cExecStep20 = Nothing
        Case 21
            Set cExecStep21 = Nothing
        Case 22
            Set cExecStep22 = Nothing
        Case 23
            Set cExecStep23 = Nothing
        Case 24
            Set cExecStep24 = Nothing
        Case 25
            Set cExecStep25 = Nothing
        Case 26
            Set cExecStep26 = Nothing
        Case 27
            Set cExecStep27 = Nothing
        Case 28
            Set cExecStep28 = Nothing
        Case 29
            Set cExecStep29 = Nothing
        Case 30
            Set cExecStep30 = Nothing
        Case 31
            Set cExecStep31 = Nothing
        Case 32
            Set cExecStep32 = Nothing
        Case 33
            Set cExecStep33 = Nothing
        Case 34
            Set cExecStep34 = Nothing
        Case 35
            Set cExecStep35 = Nothing
        Case 36
            Set cExecStep36 = Nothing
        Case 37
            Set cExecStep37 = Nothing
        Case 38
            Set cExecStep38 = Nothing
        Case 39
            Set cExecStep39 = Nothing
        Case 40
            Set cExecStep40 = Nothing
        Case 41
            Set cExecStep41 = Nothing
        Case 42
            Set cExecStep42 = Nothing
        Case 43
            Set cExecStep43 = Nothing
        Case 44
            Set cExecStep44 = Nothing
        Case 45
            Set cExecStep45 = Nothing
        Case 46
            Set cExecStep46 = Nothing
        Case 47
            Set cExecStep47 = Nothing
        Case 48
            Set cExecStep48 = Nothing
        Case 49
            Set cExecStep49 = Nothing
        Case 50
            Set cExecStep50 = Nothing
        Case 51
            Set cExecStep51 = Nothing
        Case 52
            Set cExecStep52 = Nothing
        Case 53
            Set cExecStep53 = Nothing
        Case 54
            Set cExecStep54 = Nothing
        Case 55
            Set cExecStep55 = Nothing
        Case 56
            Set cExecStep56 = Nothing
        Case 57
            Set cExecStep57 = Nothing
        Case 58
            Set cExecStep58 = Nothing
        Case 59
            Set cExecStep59 = Nothing
        Case 60
            Set cExecStep60 = Nothing
        Case 61
            Set cExecStep61 = Nothing
        Case 62
            Set cExecStep62 = Nothing
        Case 63
            Set cExecStep63 = Nothing
        Case 64
            Set cExecStep64 = Nothing
        Case 65
            Set cExecStep65 = Nothing
        Case 66
            Set cExecStep66 = Nothing
        Case 67
            Set cExecStep67 = Nothing
        Case 68
            Set cExecStep68 = Nothing
        Case 69
            Set cExecStep69 = Nothing
        Case 70
            Set cExecStep70 = Nothing
        Case 71
            Set cExecStep71 = Nothing
        Case 72
            Set cExecStep72 = Nothing
        Case 73
            Set cExecStep73 = Nothing
        Case 74
            Set cExecStep74 = Nothing
        Case 75
            Set cExecStep75 = Nothing
        Case 76
            Set cExecStep76 = Nothing
        Case 77
            Set cExecStep77 = Nothing
        Case 78
            Set cExecStep78 = Nothing
        Case 79
            Set cExecStep79 = Nothing
        Case 80
            Set cExecStep80 = Nothing
        Case 81
            Set cExecStep81 = Nothing
        Case 82
            Set cExecStep82 = Nothing
        Case 83
            Set cExecStep83 = Nothing
        Case 84
            Set cExecStep84 = Nothing
        Case 85
            Set cExecStep85 = Nothing
        Case 86
            Set cExecStep86 = Nothing
        Case 87
            Set cExecStep87 = Nothing
        Case 88
            Set cExecStep88 = Nothing
        Case 89
            Set cExecStep89 = Nothing
        Case 90
            Set cExecStep90 = Nothing
        Case 91
            Set cExecStep91 = Nothing
        Case 92
            Set cExecStep92 = Nothing
        Case 93
            Set cExecStep93 = Nothing
        Case 94
            Set cExecStep94 = Nothing
        Case 95
            Set cExecStep95 = Nothing
        Case 96
            Set cExecStep96 = Nothing
        Case 97
            Set cExecStep97 = Nothing
        Case 98
            Set cExecStep98 = Nothing
        Case 99
            Set cExecStep99 = Nothing
        Case Else
            BugAssert False, "FreeExecStep: Invalid index value!"
    End Select
    
    Exit Sub
    
FreeExecStepErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    
End Sub
Private Sub ProcessAskFailures()
    ' This procedure is called when a step with a continuation criteria = Ask has failed.
    ' Wait for all running processes to complete before displaying an Abort/Retry/Fail
    ' message to the user. We process every Ask step that has failed and use a simple
    ' algorithm to determine what to do next.
    ' 1. An abort response to any failure results in an immediate abort of the run
    ' 2. A continue means the run continues - this failure is popped off the failure list.
    ' 3. A retry means that the execution details for the instance are cleared and the
    '    step is re-executed.
    Dim lIndex As Long
    Dim cStepRec As cStep
    Dim cNextInst As cInstance
    Dim cFailureRec As cFailedStep

    On Error GoTo ProcessAskFailuresErr
    
    ' Display a popup message for all steps that have failed with a continuation
    ' criteria of Ask
    For lIndex = mcFailures.Count - 1 To 0 Step -1
        
        Set cFailureRec = mcFailures(lIndex)
    
        If cFailureRec.ContCriteria = gintOnFailureAsk Then
            Set cStepRec = mcRunSteps.QueryStep(cFailureRec.StepId)
            ' Ask the user whether to abort/retry/continue
            #If RUN_ONLY Then
                cFailureRec.AskResponse = ShowMessageBox(0, _
                        "Step '" & GetStepNodeText(cStepRec) & "' failed. " & _
                        "Select Abort to abort run and Ignore to continue. " & _
                        "Select Retry to re-execute the failed step.", _
                        "Step Failure", _
                        MB_ABORTRETRYIGNORE + MB_APPLMODAL + MB_ICONEXCLAMATION)
            #Else
                cFailureRec.AskResponse = ShowMessageBox(frmRunning.hWnd, _
                        "Step '" & GetStepNodeText(cStepRec) & "' failed. " & _
                        "Select Abort to abort run and Ignore to continue. " & _
                        "Select Retry to re-execute the failed step.", _
                        "Step Failure", _
                        MB_ABORTRETRYIGNORE + MB_APPLMODAL + MB_ICONEXCLAMATION)
            #End If

            ' Process an abort response immediately
            If cFailureRec.AskResponse = IDABORT Then
                mblnAbort = True
                Set cNextInst = mcInstances.QueryInstance(cFailureRec.InstanceId)
                Call RunPendingSiblings(cNextInst, cFailureRec.EndTime)
                Exit For
            End If
        End If
    
    Next lIndex
    
    ' Process all failed steps for which we have Ignore and Retry responses.
    If Not mblnAbort Then
        ' Navigate in reverse order since we'll be deleting items from the collection
        For lIndex = mcFailures.Count - 1 To 0 Step -1
            If mcFailures(lIndex).ContCriteria = gintOnFailureAsk Then
                mblnAsk = False
                Set cFailureRec = mcFailures.Delete(lIndex)
                        
                Select Case cFailureRec.AskResponse
                    Case IDABORT
                        BugAssert True
                        
                    Case IDRETRY
                        ' Delete all instances for the failed step and re-try
                        ' Returns a parent instance reference
                        Set cNextInst = ProcessRetryStep(cFailureRec)
                        Call RunPendingStepInBranch(mstrCurBranchRoot, cNextInst)
                    
                    Case IDIGNORE
                        Set cNextInst = mcInstances.QueryInstance(cFailureRec.InstanceId)
                        Call RunPendingSiblings(cNextInst, cFailureRec.EndTime)
                    
                End Select
            End If
        Next lIndex
    End If

    Exit Sub
    
ProcessAskFailuresErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    Err.Raise vbObjectError + errExecuteBranchFailed, mstrModuleName, _
            LoadResString(errExecuteBranchFailed)

End Sub
Private Function ProcessRetryStep(cFailureRec As cFailedStep) As cInstance
    ' This procedure is called when a step with a continuation criteria = Ask has failed
    ' and the user wants to re-execute the step.
    ' We delete all existing instances for the step and reset the iterator, if
    ' any on the parent instance - this way we ensure that the step will be executed
    ' in the next pass.
    Dim lIndex As Long
    Dim cParentInstance As cInstance
    Dim cSubStepRec As cSubStep
    Dim cStepRec As cStep

    On Error GoTo ProcessRetryStepErr
    
    ' Navigate in reverse order since we'll be deleting items from the collection
    For lIndex = mcInstances.Count - 1 To 0 Step -1
    
        If mcInstances(lIndex).Step.StepId = cFailureRec.StepId Then
            Set cParentInstance = mcInstances.QueryInstance(mcInstances(lIndex).ParentInstanceId)
            Set cSubStepRec = cParentInstance.QuerySubStep(cFailureRec.StepId)
            Set cStepRec = mcRunSteps.QueryStep(cFailureRec.StepId)
            
            ' Decrement the child count on the parent instance and reset the
            ' step iterators on the sub-step record, if any -
            ' all the iterations of the step will be re-executed.
            cParentInstance.ChildDeleted cFailureRec.StepId
            cParentInstance.AllComplete = False
            cParentInstance.AllStarted = False
            
            cSubStepRec.InitializeIt cStepRec, mcParameters
            
            ' Now delete the current instance
            Set ProcessRetryStep = mcInstances.Delete(lIndex)
        End If
    Next lIndex

    Exit Function
    
ProcessRetryStepErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    Err.Raise vbObjectError + errExecuteBranchFailed, mstrModuleName, _
            LoadResString(errExecuteBranchFailed)

End Function


Private Sub RunNextStep(ByVal dtmCompleteTime As Currency, ByVal lngIndex As Long, _
        ByVal InstanceId As Long, ByVal ExecutionStatus As InstanceStatus)
    ' Checks if there are any steps remaining to be
    ' executed in the current branch. If so, it executes
    ' the step.
    Dim cTermInstance As cInstance
    Dim cFailure As cFailedStep
     
    On Error GoTo RunNextStepErr
    
    BugMessage "RunNextStep: cExecStep" & CStr(lngIndex + 1) & " has completed."
    
    Call mcTermSteps.Delete
    Call FreeExecStep(lngIndex)
    
    ' Call a procedure to add the freed up object to the list
    Call AddFreeProcess(lngIndex)
    
    Set cTermInstance = mcInstances.QueryInstance(InstanceId)
    cTermInstance.Status = ExecutionStatus
    
    If ExecutionStatus = gintFailed Then
        If cTermInstance.Step.ContinuationCriteria = gintOnFailureAbortSiblings Then
            Call AbortSiblings(cTermInstance)
        End If
        
        If Not mcFailures.StepFailed(cTermInstance.Step.StepId) Then
            Set cFailure = New cFailedStep
            cFailure.InstanceId = cTermInstance.InstanceId
            cFailure.StepId = cTermInstance.Step.StepId
            cFailure.ParentStepId = cTermInstance.Step.ParentStepId
            cFailure.ContCriteria = cTermInstance.Step.ContinuationCriteria
            cFailure.EndTime = dtmCompleteTime
            mcFailures.Add cFailure
            Set cFailure = Nothing
        End If
    End If

    If ExecutionStatus = gintFailed And cTermInstance.Step.ContinuationCriteria = gintOnFailureAbort Then
        If StringEmpty(msAbortDtls) Then
            ' Initialize the abort message
            msAbortDtls = "Step '" & GetStepNodeText(cTermInstance.Step) & "' failed. " & _
                    "Aborting execution. Please check the error file for details."
        End If
        Call Abort
    ElseIf ExecutionStatus = gintFailed And cTermInstance.Step.ContinuationCriteria = gintOnFailureAsk Then
        mblnAsk = True
        
        ' If the step failed due to a Cancel operation (Abort), abort the run
        If mblnAbort Then
            Call RunPendingSiblings(cTermInstance, dtmCompleteTime)
        End If
    Else
        Call RunPendingSiblings(cTermInstance, dtmCompleteTime)
    End If

    If mblnAbort Then
        If Not AnyStepRunning(mcFreeSteps, mbarrFree) And Not StringEmpty(msAbortDtls) Then
            ' Display an error only if the abort is due to a failure
            ' We had to abort since a step failed - since no other steps are currently
            ' running, we can display a message to the user saying that we had to abort
            #If RUN_ONLY Then
                Call ShowMessageBox(0, msAbortDtls, "Run Aborted", _
                        MB_APPLMODAL + MB_OK + MB_ICONEXCLAMATION)
            #Else
                Call ShowMessageBox(frmRunning.hWnd, msAbortDtls, "Run Aborted", _
                        MB_APPLMODAL + MB_OK + MB_ICONEXCLAMATION)
            #End If
'            MsgBox msAbortDtls, vbOKOnly, "Run Aborted"
        End If
    ElseIf mblnAsk Then
        If Not AnyStepRunning(mcFreeSteps, mbarrFree) Then
            ' Ask the user whether to abort/retry/ignore failed steps
            Call ProcessAskFailures
        End If
    End If
        
    Exit Sub
    
RunNextStepErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    WriteError errExecuteBranchFailed, mstrSource
    Call ResetForm(lngIndex)

End Sub
Public Sub StopRun()

    ' Setting the Abort flag to True will ensure that we
    ' don't execute any more steps
    mblnAbort = True

End Sub

Private Sub CreateDummyInstance(strRootKey As String)

    Dim cNewInstance As cInstance
    Dim cSubStepDtls  As cStep
    Dim lngSubStepId As Long
    
    On Error GoTo CreateDummyInstanceErr
    
    ' Create a new instance of the step
    ' initialize substeps for the step
    Set cNewInstance = New cInstance
    
    ' There can be multiple iterations of the top level nodes
    ' running at the same time, but only one branch at any
    ' time - so enforce a degree of parallelism of 1 on this
    ' node!
    Set cNewInstance.Step = New cStep
    cNewInstance.DegreeParallelism = 1
    cNewInstance.Key = mstrDummyRootKey
    
    cNewInstance.InstanceId = NewInstanceId
    cNewInstance.ParentInstanceId = 0
    
    lngSubStepId = MakeIdentifierValid(strRootKey)
    
    Set cSubStepDtls = mcRunSteps.QueryStep(lngSubStepId)
    If cSubStepDtls.EnabledFlag Then
        ' Create a child node for the step corresponding to
        ' the root node of the branch being currently executed,
        ' only if it has been enabled
        Call cNewInstance.CreateSubStep(cSubStepDtls, mcParameters)
    End If
    
    mcInstances.Add cNewInstance
    Set cNewInstance.Iterators = DetermineIterators(cNewInstance)
    
    ' Set a reference to the newly created dummy instance
    Set mcDummyRootInstance = cNewInstance
    
    Set cNewInstance = Nothing
    
    Exit Sub
    
CreateDummyInstanceErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    mstrSource = mstrModuleName & "CreateDummyInstance"
    Err.Raise vbObjectError + errCreateInstanceFailed, _
            mstrSource, LoadResString(errCreateInstanceFailed)
    
End Sub
Private Function CreateInstance(cExecStep As cStep, _
        cParentInstance As cInstance) As cInstance
    ' Creates a new instance of the passed in step. Returns
    ' a reference to the newly created instance object.
    
    Dim cNewInstance As cInstance
    Dim nodChild As cStep
    Dim lngSubStepId As Long

    On Error GoTo CreateInstanceErr
    
    ' Create a new instance of the step
    ' initialize substeps for the step
    Set cNewInstance = New cInstance
    Set cNewInstance.Step = cExecStep
    cNewInstance.Key = MakeKeyValid(cExecStep.StepId, cExecStep.StepType)
    cNewInstance.ParentInstanceId = cParentInstance.InstanceId
    cNewInstance.InstanceId = NewInstanceId
    ' Validate the degree of parallelism field before assigning it to the instance -
    ' (the parameter value might have been set to an invalid value at runtime)
    Call ValidateParallelism(cExecStep.DegreeParallelism, _
            cExecStep.WorkspaceId, ParamsInWsp:=mcParameters)
    cNewInstance.DegreeParallelism = SubstituteParameters(cExecStep.DegreeParallelism, _
            cExecStep.WorkspaceId, WspParameters:=mcParameters)
    
    If mcNavSteps.HasChild(StepKey:=cNewInstance.Key) Then
        Set nodChild = mcNavSteps.ChildStep(StepKey:=cNewInstance.Key)
        Do
            If nodChild.EnabledFlag Then
                ' Create nodes for all it's substeps only
                ' if the substeps have been enabled
                Call cNewInstance.CreateSubStep(nodChild, mcParameters)
            End If
            
            Set nodChild = mcNavSteps.NextStep(StepId:=nodChild.StepId)
        Loop While (Not nodChild Is Nothing)
    End If
    
    mcInstances.Add cNewInstance
    Set cNewInstance.Iterators = DetermineIterators(cNewInstance)
    
    ' Increment the number of executing steps on the parent
    cParentInstance.ChildExecuted (cExecStep.StepId)

    Set CreateInstance = cNewInstance
    
    Exit Function
    
CreateInstanceErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    mstrSource = mstrModuleName & "CreateInstance"
    Err.Raise vbObjectError + errCreateInstanceFailed, _
            mstrSource, LoadResString(errCreateInstanceFailed)
    
End Function
Private Function DetermineIterators(cInstanceRec As cInstance) As cRunColIt
    ' Returns a collection of all the iterator values for this
    ' instance - since an iterator that is defined at a
    ' particular level can be used in all it's substeps, we
    ' need to navigate the step tree all the way to the root
    
    Dim cRunIts As cRunColIt
    Dim cRunIt As cRunItNode
    Dim cStepIt As cIterator
    Dim cParentInst As cInstance
    Dim cSubStepRec As cSubStep
    Dim cSubStepDtls As cStep
    Dim lngSubStepId As Long
    Dim lngIndex As Long

    On Error GoTo DetermineIteratorsErr
    
    Set cRunIts = New cRunColIt
    
    If cInstanceRec.ParentInstanceId > 0 Then
        ' The last iterator for an instance of a step is stored
        ' on it's parent! So navigate up before beginning the
        ' search for iterator values.
        Set cParentInst = mcInstances.QueryInstance(cInstanceRec.ParentInstanceId)
        
        ' Get the sub-step record for the current step
        ' on it's parent's instance!
        lngSubStepId = cInstanceRec.Step.StepId
        Set cSubStepRec = cParentInst.QuerySubStep(lngSubStepId)
        Set cSubStepDtls = mcRunSteps.QueryStep(lngSubStepId)
        
        ' And determine the next iteration value for the
        ' substep in this instance
        Set cStepIt = cSubStepRec.NewIteration(cSubStepDtls)
        
        If Not cStepIt Is Nothing Then
            ' Add the iterator details to the collection since
            ' an iterator has been defined for the step
            Set cRunIt = New cRunItNode
            cRunIt.IteratorName = cSubStepDtls.IteratorName
            cRunIt.Value = SubstituteParameters(cStepIt.Value, cSubStepDtls.WorkspaceId, WspParameters:=mcParameters)
            cRunIt.StepId = cSubStepRec.StepId
            cRunIts.Push cRunIt
        End If
            
        ' Since the parent instance has all the iterators upto
        ' that level, read them and push them on to the stack for
        ' this instance
        For lngIndex = 0 To cParentInst.Iterators.Count - 1
            Set cRunIt = cParentInst.Iterators(lngIndex)
            cRunIts.Push cRunIt
        Next lngIndex
    End If
    
    Set DetermineIterators = cRunIts

    Exit Function
    
DetermineIteratorsErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    mstrSource = mstrModuleName & "DetermineIterators"
    Err.Raise vbObjectError + errExecInstanceFailed, _
            mstrSource, LoadResString(errExecInstanceFailed)
    
End Function
Private Function DetermineConstraints(cInstanceRec As cInstance, _
        intConsType As ConstraintType) As Variant
    ' Returns a collection of all the constraints for this
    ' instance of the passed in type - all the constraints defined
    ' for the manager are executed first, followed by those defined
    ' for the step. If a step has an iterator defined for it, each
    ' constraint is executed only once.
    
    Dim cParentInst As cInstance
    Dim cTempInst As cInstance
    Dim vntConstraints As Variant
    Dim vntTempCons As Variant
    Dim cColConstraints() As Variant
    Dim lngConsCount As Long

    On Error GoTo DetermineConstraintsErr
    
    Set cTempInst = cInstanceRec
    lngConsCount = 0
    
    ' Go all the way to the root
    Do
        If cTempInst.ParentInstanceId > 0 Then
            Set cParentInst = mcInstances.QueryInstance(cTempInst.ParentInstanceId)
        Else
            Set cParentInst = Nothing
        End If

        ' Check if the step has an iterator defined for it
        If cTempInst.ValidForIteration(cParentInst, intConsType) Then
            vntTempCons = mcRunConstraints.ConstraintsForStep( _
                    cTempInst.Step.StepId, cTempInst.Step.VersionNo, _
                    intConsType, blnSort:=True, _
                    blnGlobal:=False, blnGlobalConstraintsOnly:=False)
            
            If Not IsEmpty(vntTempCons) Then
                ReDim Preserve cColConstraints(lngConsCount)
                cColConstraints(lngConsCount) = vntTempCons
                lngConsCount = lngConsCount + 1
            End If
        End If
        
        Set cTempInst = cParentInst

    Loop While Not cTempInst Is Nothing

    If lngConsCount > 0 Then
        vntTempCons = OrderConstraints(cColConstraints, intConsType)
    End If

    DetermineConstraints = vntTempCons

    Exit Function
    
DetermineConstraintsErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    mstrSource = mstrModuleName & "DetermineConstraints"
    Err.Raise vbObjectError + errExecInstanceFailed, _
            mstrSource, LoadResString(errExecInstanceFailed)
    
End Function
Private Function GetInstanceToExecute(cParentNode As cInstance, _
        cSubStepRec As cSubStep, _
        cSubStepDtls As cStep) As cInstance
        
    Dim cSubStepInst As cInstance
    
    On Error GoTo GetInstanceToExecuteErr
    
    BugAssert Not (cParentNode Is Nothing Or _
            cSubStepRec Is Nothing Or _
            cSubStepDtls Is Nothing), _
            "GetInstanceToExecute: Input invalid"
            
    ' Check if it has iterators
    If cSubStepDtls.IteratorCount = 0 Then
        ' Check if the step has been executed
        If cSubStepRec.TasksRunning = 0 And cSubStepRec.TasksComplete = 0 And _
                Not mcInstances.CompletedInstanceExists(cParentNode.InstanceId, cSubStepDtls) Then
            ' The sub-step hasn't been executed yet.
            ' Create an instance for it and exit
            Set cSubStepInst = CreateInstance(cSubStepDtls, cParentNode)
        Else
            Set cSubStepInst = Nothing
        End If
    Else
        ' Check if there are pending iterations for the sub-step
        If Not cSubStepRec.NextIteration(cSubStepDtls) Is Nothing Then
            ' Pending iterations exist - create an instance for the sub-step and exit
            Set cSubStepInst = CreateInstance(cSubStepDtls, cParentNode)
        Else
            ' No more iterations - continue with the next substep
            Set cSubStepInst = Nothing
        End If
    End If
        
    Set GetInstanceToExecute = cSubStepInst
    Exit Function
    
GetInstanceToExecuteErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    mstrSource = mstrModuleName & "GetInstanceToExecute"
    Err.Raise vbObjectError + errNavInstancesFailed, _
            mstrSource, LoadResString(errNavInstancesFailed)
    
End Function

Public Function InstancesForStep(lngStepId As Long, ByRef StepStatus As InstanceStatus) As cInstances
    ' Returns an array of all the instances for a step
    Dim lngIndex As Long
    Dim cTempInst As cInstance
    Dim cStepInstances As cInstances
    Dim cStepRec As cStep

    On Error GoTo InstancesForStepErr
    
    Set cStepInstances = New cInstances
    
    For lngIndex = 0 To mcInstances.Count - 1
        Set cTempInst = mcInstances(lngIndex)
        
        If cTempInst.Step.StepId = lngStepId Then
            cStepInstances.Add cTempInst
        End If
    Next lngIndex
    
    If cStepInstances.Count = 0 Then
        Set cStepRec = mcRunSteps.QueryStep(lngStepId)
        If Not mcFailures.ExecuteSubStep(cStepRec.ParentStepId) Then
            StepStatus = gintAborted
        End If
        Set cStepRec = Nothing
    End If
    
    ' Set the return value of the function to the array of
    ' constraints that has been built above
    Set InstancesForStep = cStepInstances
    
    Set cStepInstances = Nothing
    Exit Function
    
InstancesForStepErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    mstrSource = mstrModuleName & "InstancesForStep"
    Err.Raise vbObjectError + errNavInstancesFailed, mstrSource, _
            LoadResString(errNavInstancesFailed)
    
End Function
Private Sub RemoveFreeProcess(lngRunningProcess As Long)
    ' Removes the passed in element from the collection of
    ' free objects
    
    ' Confirm that the last element in the array is the one
    ' we need to delete
    If mcFreeSteps(mcFreeSteps.Count - 1) = lngRunningProcess Then
        mcFreeSteps.Delete Position:=mcFreeSteps.Count - 1
    Else
        ' Ask the class to find the element and delete it
        mcFreeSteps.Delete Item:=lngRunningProcess
    End If
    
End Sub
Private Sub AddFreeProcess(lngTerminatedProcess As Long)
    ' Adds the passed in element to the collection of
    ' free objects
    
    mcFreeSteps.Add lngTerminatedProcess
    
End Sub

Private Sub ResetForm(Optional ByVal lngIndex As Long)
        
    Dim lngTemp As Long
                
    On Error GoTo ResetFormErr
    
    ' Check if there are any running instances to wait for
    If mcFreeSteps.Count <> glngNumConcurrentProcesses Then
        
        For lngTemp = 0 To mcFreeSteps.Count - 1
            If mcFreeSteps(lngTemp) = lngIndex Then
                Exit For
            End If
        Next lngTemp
        
        If lngTemp <= mcFreeSteps.Count - 1 Then
            ' This process that just completed did not exist in the list of
            ' free processes
            Call AddFreeProcess(lngIndex)
        End If
        
        If Not AnyStepRunning(mcFreeSteps, mbarrFree) Then
            WriteToWspLog (mintRunComplete)
            ' All steps are complete
            RaiseEvent RunComplete(Determine64BitTime())
        End If
    Else
        WriteToWspLog (mintRunComplete)
        RaiseEvent RunComplete(Determine64BitTime())
    End If
    
    Exit Sub
    
ResetFormErr:
    
End Sub
Private Function NewInstanceId() As Long
    ' Will return new instance id's - uses a static counter
    ' that it increments each time
    Static lngInstance As Long
    
    lngInstance = lngInstance + 1
    NewInstanceId = lngInstance
    
End Function

Private Function RunPendingStepInBranch(strCurBranchRoot As String, _
        Optional cExecInstance As cInstance = Nothing) As cInstance
    ' Runs a worker step in the branch being executed, if
    ' there are any pending execution
    ' This function is also called when a step has just completed
    ' execution - in which case the terminated instance is
    ' passed in as the optional parameter. When that happens,
    ' we first try to execute the siblings of the terminated
    ' step if any are pending execution.
    ' If the terminated instance has not been passed in, we
    ' start with the dummy root instance and navigate down,
    ' trying to find a pending worker step.
    
    Dim cExecSubStep As cStep
    Dim cParentInstance As cInstance
    Dim cNextInst As cInstance

    On Error GoTo RunPendingStepInBranchErr
    
    If Not cExecInstance Is Nothing Then
        ' Called when an instance has terminated
        ' When a worker step terminates, then we need to
        ' decremement the number of running steps on it's
        ' manager
        Set cParentInstance = _
                mcInstances.QueryInstance(cExecInstance.ParentInstanceId)
                
    Else
        If StringEmpty(strCurBranchRoot) Or mcDummyRootInstance Is Nothing Then
            ' Run complete - event raised by Run method
            Set RunPendingStepInBranch = Nothing
            Exit Function
        End If
        
        ' If there are no pending steps on the root instance,
        ' then there are no steps within the branch that need
        ' to be executed
        If mcDummyRootInstance.AllComplete Or mcDummyRootInstance.AllStarted Then
            Set RunPendingStepInBranch = Nothing
            Exit Function
        End If
        
        Set cParentInstance = mcDummyRootInstance
    End If
    
    Do
        Set cNextInst = GetSubStepToExecute(cParentInstance)
        If cNextInst Is Nothing Then
            ' There are no steps within the branch that can
            ' be executed - If we are at the dummy instance,
            ' this branch has completed executing
            If cParentInstance.Key = mstrDummyRootKey Then
                Set cNextInst = Nothing
                Exit Do
            Else
                ' Go to the parent instance and try to find
                ' some other sibling is pending execution
                Set cNextInst = mcInstances.QueryInstance(cParentInstance.ParentInstanceId)
                
                If cParentInstance.SubSteps.Count = 0 Then
                    cNextInst.ChildTerminated cParentInstance.Step.StepId
                End If
            End If
        End If
        
        BugAssert Not cNextInst Is Nothing
        Set cParentInstance = cNextInst
        
    Loop While cNextInst.Step.StepType <> gintWorkerStep
    
    If Not cNextInst Is Nothing Then
        Call ExecuteStep(cNextInst)
    End If
    
    Set RunPendingStepInBranch = cNextInst
    
    Exit Function
    
RunPendingStepInBranchErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    Err.Raise vbObjectError + errNavInstancesFailed, _
            mstrModuleName & "RunPendingStepInBranch", LoadResString(errNavInstancesFailed)
    
End Function
Private Function RunPendingSibling(cTermInstance As cInstance, _
        dtmCompleteTime As Currency) As cInstance
    ' This process is called when a step terminates. Tries to
    ' run a sibling of the terminated step, if one is pending
    ' execution.

    Dim cParentInstance As cInstance
    Dim cNextInst As cInstance

    On Error GoTo RunPendingSiblingErr
    
    If StringEmpty(mstrCurBranchRoot) Or mcDummyRootInstance Is Nothing Then
        ' Run complete - event raised by Run method
        Set RunPendingSibling = Nothing
        Exit Function
    End If

    BugAssert cTermInstance.ParentInstanceId > 0, "Orphaned instance in array!"

    ' When a worker step terminates, then we need to
    ' decremement the number of running steps on it's
    ' manager
    Set cParentInstance = mcInstances.QueryInstance(cTermInstance.ParentInstanceId)

    ' Decrement the number of running processes on the
    ' parent by 1
    Call cParentInstance.ChildTerminated(cTermInstance.Step.StepId)

    ' The first step that terminates has to be a worker
    ' If it is complete, update the completed steps on the
    ' parent by 1.
    Call cParentInstance.ChildCompleted(cTermInstance.Step.StepId)
    cParentInstance.AllStarted = False

    Do
        Set cNextInst = GetSubStepToExecute(cParentInstance, dtmCompleteTime)
        If cNextInst Is Nothing Then
            If cParentInstance.Key = mstrDummyRootKey Then
                Set cNextInst = Nothing
                Exit Do
            Else
                ' Go to the parent instance and try to find
                ' some other sibling is pending execution
                Set cNextInst = mcInstances.QueryInstance(cParentInstance.ParentInstanceId)
                If cParentInstance.IsRunning Then
                    cNextInst.AllStarted = True
                Else
                    ' No more sub-steps to execute
                    Call cNextInst.ChildCompleted(cParentInstance.Step.StepId)
                    Call cNextInst.ChildTerminated(cParentInstance.Step.StepId)
                    cNextInst.AllStarted = False
                End If
            End If
        End If
        
        BugAssert Not cNextInst Is Nothing
        Set cParentInstance = cNextInst

    Loop While cNextInst.Step.StepType <> gintWorkerStep

    If Not cNextInst Is Nothing Then
        Call ExecuteStep(cNextInst)
    End If

    Set RunPendingSibling = cNextInst

    Exit Function

RunPendingSiblingErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    mstrSource = mstrModuleName & "RunPendingSibling"
    Err.Raise vbObjectError + errNavInstancesFailed, mstrSource, _
        LoadResString(errNavInstancesFailed)

End Function
Private Sub RunPendingSiblings(cTermInstance As cInstance, _
        dtmCompleteTime As Currency)
    ' This process is called when a step terminates. Tries to
    ' run siblings of the terminated step, if they are pending
    ' execution.

    Dim cExecInst As cInstance

    On Error GoTo RunPendingSiblingsErr
    BugMessage "In RunPendingSiblings"
    
    ' Call a procedure to run the sibling of the terminated
    ' step, if any. This procedure will also update the
    ' number of complete/running tasks on the manager steps.
    Set cExecInst = RunPendingSibling(cTermInstance, dtmCompleteTime)
    
    If Not cExecInst Is Nothing Then
        Do
            ' Execute any other pending steps in the branch.
            ' The step that has just terminated might be
            ' the last one that was executing in a sub-branch.
            ' That would mean that we can execute another
            ' sub-branch that might involve more than 1 step.
            ' Pass the just executed step as a parameter.
            Set cExecInst = RunPendingStepInBranch(mstrCurBranchRoot, cExecInst)
        Loop While Not cExecInst Is Nothing
    Else
        If Not mcDummyRootInstance.IsRunning Then
            ' All steps have been executed in the branch - run
            ' a new branch
            Call RunNewBranch
        Else
            ' There are no more steps to execute in the current
            ' branch but we have running processes.
        End If
    End If
    
    Exit Sub

RunPendingSiblingsErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    mstrSource = mstrModuleName & "RunPendingSiblings"
    Err.Raise vbObjectError + errNavInstancesFailed, _
            mstrSource, LoadResString(errNavInstancesFailed)

End Sub

Private Sub NoSubStepsToExecute(cMgrInstance As cInstance, Optional dtmCompleteTime As Currency = gdtmEmpty)
    ' Called when we cannot find any more substeps to run for
    ' manager step - set the allcomplete or allstarted
    ' properties to true
    
    If cMgrInstance.IsRunning() Then
        cMgrInstance.AllStarted = True
    Else
        cMgrInstance.AllComplete = True
        If dtmCompleteTime <> gdtmEmpty Then
            ' Update the end time on the manager step
            Call TimeCompleteUpdateForStep(cMgrInstance, dtmCompleteTime)
        End If
    End If
    
End Sub

Private Function GetSubStepToExecute(cParentNode As cInstance, _
        Optional dtmCompleteTime As Currency = 0) As cInstance
    ' Returns the child of the passed in node that is to be
    ' executed next. Checks if we are in the middle of an instance
    ' being executed in which case it returns the pending
    ' instance. Creates a new instance if there are pending
    ' instances for a sub-step.
    
    Dim lngIndex As Long
    Dim cSubStepRec As cSubStep
    Dim cSubStepDtls As cStep
    Dim cSubStepInst As cInstance

    On Error GoTo GetSubStepToExecuteErr
    
    ' There are a number of cases that need to be accounted
    ' for here.
    ' 1. While traversing through all enabled nodes for the
    ' first time - instance records may not exist for the
    ' substeps.
    ' 2. Instance records exist, and there are processes
    ' that need to be executed for a sub-step
    ' 3. There are no more processes that need to be currently
    ' executed (till a process completes)
    ' 4. There are no more processes that need to be executed
    ' (All substeps have completed execution)
    
    ' This is the only point where we check the Abort flag -
    ' since this is the heart of the navigation routine that
    ' selects processes to execute. Also, when a step terminates
    ' selection of the next process goes through here.
    If mblnAbort Then
        Set GetSubStepToExecute = Nothing
        cParentNode.Status = gintAborted
        Exit Function
    End If
    
    If mblnAsk Then
        Set GetSubStepToExecute = Nothing
        Exit Function
    End If
    
    If Not mcFailures.ExecuteSubStep(cParentNode.Step.StepId) Then
        Set GetSubStepToExecute = Nothing
        cParentNode.Status = gintAborted
        Exit Function
    End If
    
    ' First check if there are pending steps for the parent!
    If cParentNode.IsPending Then
        ' Loop through all the sub-steps for the parent node
        For lngIndex = 0 To cParentNode.SubSteps.Count - 1
            Set cSubStepRec = cParentNode.SubSteps(lngIndex)
            Set cSubStepDtls = mcRunSteps.QueryStep(cSubStepRec.StepId)
            If Not mcInstances.InstanceAborted(cSubStepRec) Then
                ' Check if the sub-step is a worker
                If cSubStepDtls.StepType = gintWorkerStep Then
                    ' Find/create an instance to execute
                    Set cSubStepInst = GetInstanceToExecute( _
                            cParentNode, cSubStepRec, cSubStepDtls)
                    If Not cSubStepInst Is Nothing Then
                        Exit For
                    Else
                        ' Continue w/ the next sub-step
                    End If
                Else
                    ' The sub-step is a manager step
                    ' Check if there are any pending instances for
                    ' the manager
                    Set cSubStepInst = mcInstances.QueryPendingInstance( _
                            cParentNode.InstanceId, cSubStepRec.StepId)
                    If cSubStepInst Is Nothing Then
                        ' Find/create an instance to execute
                        Set cSubStepInst = GetInstanceToExecute( _
                                cParentNode, cSubStepRec, cSubStepDtls)
                        If Not cSubStepInst Is Nothing Then
                            Exit For
                        Else
                            ' Continue w/ the next sub-step
                        End If
                    Else
                        ' We have found a pending instance for the
                        ' sub-step (manager) - exit the loop
                        Exit For
                    End If
                End If
            End If
        Next lngIndex
        
        If lngIndex > cParentNode.SubSteps.Count - 1 Or cParentNode.SubSteps.Count = 0 Then
            ' If we could not find any sub-steps to execute,
            ' mark the parent node as complete/all started
            Call NoSubStepsToExecute(cParentNode, dtmCompleteTime)
            Set cSubStepInst = Nothing
        End If
    End If
    
    Set GetSubStepToExecute = cSubStepInst
    Exit Function
    
GetSubStepToExecuteErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    mstrSource = mstrModuleName & "GetSubStepToExecute"
    Err.Raise vbObjectError + errNavInstancesFailed, mstrSource, _
        LoadResString(errNavInstancesFailed)
    
End Function

Private Sub TimeCompleteUpdateForStep(cMgrInstance As cInstance, ByVal EndTime As Currency)

    ' Called when there are no more sub-steps to execute for
    ' the manager step. It updates the end time and status on
    ' the manager.
    Dim lElapsed As Long
    
    On Error GoTo TimeCompleteUpdateForStepErr
    
    If cMgrInstance.Key <> mstrDummyRootKey Then
        cMgrInstance.EndTime = EndTime
        cMgrInstance.Status = gintComplete
        lElapsed = (EndTime - cMgrInstance.StartTime) * 10000
        cMgrInstance.ElapsedTime = lElapsed
        RaiseEvent StepComplete(cMgrInstance.Step, EndTime, cMgrInstance.InstanceId, lElapsed)
    End If
    
    Exit Sub
    
TimeCompleteUpdateForStepErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    WriteError errUpdateDisplayFailed, mstrModuleName & "TimeCompleteUpdateForStep"

End Sub

Private Function GetFreeObject() As Long

    ' Check the array of free objects and retrieve the first one
    If mcFreeSteps.Count > 0 Then
        GetFreeObject = mcFreeSteps(mcFreeSteps.Count - 1)
    Else
        mstrSource = mstrModuleName & "GetFreeObject"
        ShowError errMaxProcessesExceeded
        On Error GoTo 0
        Err.Raise vbObjectError + errMaxProcessesExceeded, _
                mstrSource, _
                LoadResString(errMaxProcessesExceeded)
    End If
    
End Function
Private Function StepTerminated(cCompleteStep As cStep, ByVal dtmCompleteTime As Currency, _
        ByVal lngIndex As Long, ByVal InstanceId As Long, ByVal ExecutionStatus As InstanceStatus) As cStep
    ' This procedure is called whenever a step terminates.
    Dim cTermRec As cTermStep
    Dim cInstRec As cInstance
    Dim cStartInst As cInstance
    Dim lElapsed As Long
    Dim sLogLabel As String
    Dim LogLabels As New cVectorStr
    Dim iItIndex As Long
     
    On Error GoTo StepTerminatedErr
    
    Set cInstRec = mcInstances.QueryInstance(InstanceId)
    If dtmCompleteTime <> 0 And cInstRec.StartTime <> 0 Then
        ' Convert to milliseconds since that is the default precision
        lElapsed = (dtmCompleteTime - cInstRec.StartTime) * 10000
    Else
        lElapsed = 0
    End If
    
    Set cStartInst = cInstRec
    iItIndex = 0
    Do While cInstRec.Key <> mstrDummyRootKey
        sLogLabel = gstrSQ & cInstRec.Step.StepLabel & gstrSQ
        
        If iItIndex < cInstRec.Iterators.Count Then
            If cStartInst.Iterators(iItIndex).StepId = cInstRec.Step.StepId Then
                sLogLabel = sLogLabel & msIt & gstrSQ & cStartInst.Iterators(iItIndex).IteratorName & gstrSQ & _
                        msItValue & gstrSQ & cStartInst.Iterators(iItIndex).Value & gstrSQ
                iItIndex = iItIndex + 1
            End If
        End If
        
        If cInstRec.Key = cStartInst.Key Then
            ' Append the execution status
            sLogLabel = sLogLabel & " Status: " & gstrSQ & gsExecutionStatus(ExecutionStatus) & gstrSQ
            If ExecutionStatus = gintFailed Then
                ' Append the continuation criteria for the step since it failed
                sLogLabel = sLogLabel & " Continuation Criteria: " & gstrSQ & gsContCriteria(cInstRec.Step.ContinuationCriteria) & gstrSQ
            End If
        End If
        LogLabels.Add sLogLabel
        
        Set cInstRec = mcInstances.QueryInstance(cInstRec.ParentInstanceId)
    Loop
    
    Call WriteToWspLog(mintStepComplete, LogLabels, dtmCompleteTime)
    Set LogLabels = Nothing
    
    ' Adds the terminated step details to a queue.
    Set cTermRec = New cTermStep
    cTermRec.ExecutionStatus = ExecutionStatus
    cTermRec.Index = lngIndex
    cTermRec.InstanceId = InstanceId
    cTermRec.TimeComplete = dtmCompleteTime
    Call mcTermSteps.Add(cTermRec)
    Set cTermRec = Nothing
    
    RaiseEvent StepComplete(cCompleteStep, dtmCompleteTime, InstanceId, lElapsed)
    
    Exit Function
    
StepTerminatedErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    WriteError errExecuteBranchFailed, mstrSource
    Call ResetForm(lngIndex)

End Function
Public Property Let RootKey(ByVal vdata As String)
    
    mstrRootKey = vdata
            
End Property

Public Property Get RootKey() As String
    RootKey = mstrRootKey
End Property

Private Function InitExecStep() As cRunStep
    ' Since arrays of objects cannot be declared as WithEvents,
    ' we use a limited number of objects and set a maximum
    ' on the number of steps that can run in parallel
    ' This is a wrapper that will create an instance of
    ' a cExecuteSM object depending on the index
    Dim lngIndex As Long
    
    On Error GoTo InitExecStepErr
    
    lngIndex = GetFreeObject
    
    Select Case lngIndex + 1
        Case 1
            Set cExecStep1 = New cRunStep
            Set InitExecStep = cExecStep1
        Case 2
            Set cExecStep2 = New cRunStep
            Set InitExecStep = cExecStep2
        Case 3
            Set cExecStep3 = New cRunStep
            Set InitExecStep = cExecStep3
        Case 4
            Set cExecStep4 = New cRunStep
            Set InitExecStep = cExecStep4
        Case 5
            Set cExecStep5 = New cRunStep
            Set InitExecStep = cExecStep5
        Case 6
            Set cExecStep6 = New cRunStep
            Set InitExecStep = cExecStep6
        Case 7
            Set cExecStep7 = New cRunStep
            Set InitExecStep = cExecStep7
        Case 8
            Set cExecStep8 = New cRunStep
            Set InitExecStep = cExecStep8
        Case 9
            Set cExecStep9 = New cRunStep
            Set InitExecStep = cExecStep9
        Case 10
            Set cExecStep10 = New cRunStep
            Set InitExecStep = cExecStep10
        Case 11
            Set cExecStep11 = New cRunStep
            Set InitExecStep = cExecStep11
        Case 12
            Set cExecStep12 = New cRunStep
            Set InitExecStep = cExecStep12
        Case 13
            Set cExecStep13 = New cRunStep
            Set InitExecStep = cExecStep13
        Case 14
            Set cExecStep14 = New cRunStep
            Set InitExecStep = cExecStep14
        Case 15
            Set cExecStep15 = New cRunStep
            Set InitExecStep = cExecStep15
        Case 16
            Set cExecStep16 = New cRunStep
            Set InitExecStep = cExecStep16
        Case 17
            Set cExecStep17 = New cRunStep
            Set InitExecStep = cExecStep17
        Case 18
            Set cExecStep18 = New cRunStep
            Set InitExecStep = cExecStep18
        Case 19
            Set cExecStep19 = New cRunStep
            Set InitExecStep = cExecStep19
        Case 20
            Set cExecStep20 = New cRunStep
            Set InitExecStep = cExecStep20
        Case 21
            Set cExecStep21 = New cRunStep
            Set InitExecStep = cExecStep21
        Case 22
            Set cExecStep22 = New cRunStep
            Set InitExecStep = cExecStep22
        Case 23
            Set cExecStep23 = New cRunStep
            Set InitExecStep = cExecStep23
        Case 24
            Set cExecStep24 = New cRunStep
            Set InitExecStep = cExecStep24
        Case 25
            Set cExecStep25 = New cRunStep
            Set InitExecStep = cExecStep25
        Case 26
            Set cExecStep26 = New cRunStep
            Set InitExecStep = cExecStep26
        Case 27
            Set cExecStep27 = New cRunStep
            Set InitExecStep = cExecStep27
        Case 28
            Set cExecStep28 = New cRunStep
            Set InitExecStep = cExecStep28
        Case 29
            Set cExecStep29 = New cRunStep
            Set InitExecStep = cExecStep29
        Case 30
            Set cExecStep30 = New cRunStep
            Set InitExecStep = cExecStep30
        Case 31
            Set cExecStep31 = New cRunStep
            Set InitExecStep = cExecStep31
        Case 32
            Set cExecStep32 = New cRunStep
            Set InitExecStep = cExecStep32
        Case 33
            Set cExecStep33 = New cRunStep
            Set InitExecStep = cExecStep33
        Case 34
            Set cExecStep34 = New cRunStep
            Set InitExecStep = cExecStep34
        Case 35
            Set cExecStep35 = New cRunStep
            Set InitExecStep = cExecStep35
        Case 36
            Set cExecStep36 = New cRunStep
            Set InitExecStep = cExecStep36
        Case 37
            Set cExecStep37 = New cRunStep
            Set InitExecStep = cExecStep37
        Case 38
            Set cExecStep38 = New cRunStep
            Set InitExecStep = cExecStep38
        Case 39
            Set cExecStep39 = New cRunStep
            Set InitExecStep = cExecStep39
        Case 40
            Set cExecStep40 = New cRunStep
            Set InitExecStep = cExecStep40
        Case 41
            Set cExecStep41 = New cRunStep
            Set InitExecStep = cExecStep41
        Case 42
            Set cExecStep42 = New cRunStep
            Set InitExecStep = cExecStep42
        Case 43
            Set cExecStep43 = New cRunStep
            Set InitExecStep = cExecStep43
        Case 44
            Set cExecStep44 = New cRunStep
            Set InitExecStep = cExecStep44
        Case 45
            Set cExecStep45 = New cRunStep
            Set InitExecStep = cExecStep45
        Case 46
            Set cExecStep46 = New cRunStep
            Set InitExecStep = cExecStep46
        Case 47
            Set cExecStep47 = New cRunStep
            Set InitExecStep = cExecStep47
        Case 48
            Set cExecStep48 = New cRunStep
            Set InitExecStep = cExecStep48
        Case 49
            Set cExecStep49 = New cRunStep
            Set InitExecStep = cExecStep49
        Case 50
            Set cExecStep50 = New cRunStep
            Set InitExecStep = cExecStep50
        Case 51
            Set cExecStep51 = New cRunStep
            Set InitExecStep = cExecStep51
        Case 52
            Set cExecStep52 = New cRunStep
            Set InitExecStep = cExecStep52
        Case 53
            Set cExecStep53 = New cRunStep
            Set InitExecStep = cExecStep53
        Case 54
            Set cExecStep54 = New cRunStep
            Set InitExecStep = cExecStep54
        Case 55
            Set cExecStep55 = New cRunStep
            Set InitExecStep = cExecStep55
        Case 56
            Set cExecStep56 = New cRunStep
            Set InitExecStep = cExecStep56
        Case 57
            Set cExecStep57 = New cRunStep
            Set InitExecStep = cExecStep57
        Case 58
            Set cExecStep58 = New cRunStep
            Set InitExecStep = cExecStep58
        Case 59
            Set cExecStep59 = New cRunStep
            Set InitExecStep = cExecStep59
        Case 60
            Set cExecStep60 = New cRunStep
            Set InitExecStep = cExecStep60
        Case 61
            Set cExecStep61 = New cRunStep
            Set InitExecStep = cExecStep61
        Case 62
            Set cExecStep62 = New cRunStep
            Set InitExecStep = cExecStep62
        Case 63
            Set cExecStep63 = New cRunStep
            Set InitExecStep = cExecStep63
        Case 64
            Set cExecStep64 = New cRunStep
            Set InitExecStep = cExecStep64
        Case 65
            Set cExecStep65 = New cRunStep
            Set InitExecStep = cExecStep65
        Case 66
            Set cExecStep66 = New cRunStep
            Set InitExecStep = cExecStep66
        Case 67
            Set cExecStep67 = New cRunStep
            Set InitExecStep = cExecStep67
        Case 68
            Set cExecStep68 = New cRunStep
            Set InitExecStep = cExecStep68
        Case 69
            Set cExecStep69 = New cRunStep
            Set InitExecStep = cExecStep69
        Case 70
            Set cExecStep70 = New cRunStep
            Set InitExecStep = cExecStep70
        Case 71
            Set cExecStep71 = New cRunStep
            Set InitExecStep = cExecStep71
        Case 72
            Set cExecStep72 = New cRunStep
            Set InitExecStep = cExecStep72
        Case 73
            Set cExecStep73 = New cRunStep
            Set InitExecStep = cExecStep73
        Case 74
            Set cExecStep74 = New cRunStep
            Set InitExecStep = cExecStep74
        Case 75
            Set cExecStep75 = New cRunStep
            Set InitExecStep = cExecStep75
        Case 76
            Set cExecStep76 = New cRunStep
            Set InitExecStep = cExecStep76
        Case 77
            Set cExecStep77 = New cRunStep
            Set InitExecStep = cExecStep77
        Case 78
            Set cExecStep78 = New cRunStep
            Set InitExecStep = cExecStep78
        Case 79
            Set cExecStep79 = New cRunStep
            Set InitExecStep = cExecStep79
        Case 80
            Set cExecStep80 = New cRunStep
            Set InitExecStep = cExecStep80
        Case 81
            Set cExecStep81 = New cRunStep
            Set InitExecStep = cExecStep81
        Case 82
            Set cExecStep82 = New cRunStep
            Set InitExecStep = cExecStep82
        Case 83
            Set cExecStep83 = New cRunStep
            Set InitExecStep = cExecStep83
        Case 84
            Set cExecStep84 = New cRunStep
            Set InitExecStep = cExecStep84
        Case 85
            Set cExecStep85 = New cRunStep
            Set InitExecStep = cExecStep85
        Case 86
            Set cExecStep86 = New cRunStep
            Set InitExecStep = cExecStep86
        Case 87
            Set cExecStep87 = New cRunStep
            Set InitExecStep = cExecStep87
        Case 88
            Set cExecStep88 = New cRunStep
            Set InitExecStep = cExecStep88
        Case 89
            Set cExecStep89 = New cRunStep
            Set InitExecStep = cExecStep89
        Case 90
            Set cExecStep90 = New cRunStep
            Set InitExecStep = cExecStep90
        Case 91
            Set cExecStep91 = New cRunStep
            Set InitExecStep = cExecStep91
        Case 92
            Set cExecStep92 = New cRunStep
            Set InitExecStep = cExecStep92
        Case 93
            Set cExecStep93 = New cRunStep
            Set InitExecStep = cExecStep93
        Case 94
            Set cExecStep94 = New cRunStep
            Set InitExecStep = cExecStep94
        Case 95
            Set cExecStep95 = New cRunStep
            Set InitExecStep = cExecStep95
        Case 96
            Set cExecStep96 = New cRunStep
            Set InitExecStep = cExecStep96
        Case 97
            Set cExecStep97 = New cRunStep
            Set InitExecStep = cExecStep97
        Case 98
            Set cExecStep98 = New cRunStep
            Set InitExecStep = cExecStep98
        Case 99
            Set cExecStep99 = New cRunStep
            Set InitExecStep = cExecStep99
       Case Else
            Set InitExecStep = Nothing
    End Select
    
    BugMessage "Sending cExecStep" & (lngIndex + 1) & "!"
    
    If Not InitExecStep Is Nothing Then
        InitExecStep.Index = lngIndex
        
        ' Remove this element from the collection of free objects
        Call RemoveFreeProcess(lngIndex)
    End If

    Exit Function
    
InitExecStepErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    Set InitExecStep = Nothing
    
End Function
Public Sub Run()
    ' Calls procedures to build a list of all the steps that
    ' need to be executed and to execute them
    ' Determines whether the run has started/terminated and
    ' raises the Run Start and Complete events.
    Dim cTempStep As cStep
    
    On Error GoTo RunErr
    
    If StringEmpty(mstrRootKey) Then
        Call ShowError(errExecuteBranchFailed)
        On Error GoTo 0
        Err.Raise vbObjectError + errExecuteBranchFailed, mstrModuleName & "Run", _
                LoadResString(errExecuteBranchFailed)
    Else
        ' Execute the first branch
        WriteToWspLog (mintRunStart)
        RaiseEvent RunStart(Determine64BitTime(), mcWspLog.FileName)
        
        If mcNavSteps.HasChild(StepKey:=mstrRootKey) Then
            Set cTempStep = mcNavSteps.ChildStep(StepKey:=mstrRootKey)
            mstrCurBranchRoot = MakeKeyValid(cTempStep.StepId, cTempStep.StepType)
            
            Call CreateDummyInstance(mstrCurBranchRoot)
            
            ' Run all pending steps in the branch
            If Not RunBranch(mstrCurBranchRoot) Then
                ' Execute a new branch if there aren't any
                ' steps to run
                Call RunNewBranch
            End If
        Else
            WriteToWspLog (mintRunComplete)
            ' No children to execute - the run is complete
            RaiseEvent RunComplete(Determine64BitTime())
        End If
    End If
    
    Exit Sub
    
RunErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    Call ShowError(errExecuteBranchFailed, OptArgs:=mstrCurBranchRoot)
    Call ResetForm

End Sub
Private Sub RunNewBranch()
    ' We will build a tree of all instances that occur and
    ' the count of the sub-steps that are running will be
    ' stored at each node in the tree (maintained internally
    ' as an array). Since there can be multiple iterations
    ' of the top level nodes running at the same time, we
    ' create a dummy node at the root that keeps a record of
    ' the instances of the top level node.
    
    ' Determines whether the run has started/terminated and
    ' raises the Run Start and Complete events.
    Dim cNextStep As cStep
    Dim bRunComplete As Boolean
    
    On Error GoTo RunNewBranchErr
    
    bRunComplete = False
    
    Do
        If StringEmpty(mstrCurBranchRoot) Then
            Exit Do
'            On Error GoTo 0
'            Err.Raise vbObjectError + errExecuteBranchFailed, mstrSource, _
'                LoadResString(errExecuteBranchFailed)
        Else
            Set cNextStep = mcNavSteps.NextStep(StepKey:=mstrCurBranchRoot)
            If cNextStep Is Nothing Then
                mstrCurBranchRoot = gstrEmptyString
                bRunComplete = True
                Exit Do
            Else
                ' Starting execution of a new branch - initialize the
                ' module-level variable
                mstrCurBranchRoot = MakeKeyValid(cNextStep.StepId, cNextStep.StepType)
                Call CreateDummyInstance(mstrCurBranchRoot)
            End If
        End If
        Debug.Print "Running new branch: " & mstrCurBranchRoot
    
    ' Loop until we find a branch that has steps to execute
    Loop While Not RunBranch(mstrCurBranchRoot)
    
    If bRunComplete Then
        WriteToWspLog (mintRunComplete)
        ' Run is complete
        RaiseEvent RunComplete(Determine64BitTime())
    End If
    
    Exit Sub
    
RunNewBranchErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    Call ShowError(errExecuteBranchFailed, OptArgs:=mstrCurBranchRoot)
    On Error GoTo 0
    mstrSource = mstrModuleName & "RunNewBranch"
    Err.Raise vbObjectError + errExecuteBranchFailed, mstrSource, _
        LoadResString(errExecuteBranchFailed)

End Sub
Private Function RunBranch(strRootNode As String) As Boolean
    ' This procedure is called to run all the necessary steps
    ' in a branch. It can also be called when a step terminates,
    ' in which case the terminated step is passed in as the
    ' optional parameter. When a step terminates, we need to
    ' either wait for some other steps to terminate before
    ' we execute more steps or run as many steps as necessary
    ' Returns True if there are steps currently executing
    ' in the branch, else returns False
    Dim cRunning As cInstance
    
    On Error GoTo RunBranchErr
    
    If Not StringEmpty(strRootNode) Then
        ' Call a procedure to execute all the enabled steps
        ' in the branch - will return the step node that is
        ' being executed - nothing means 'No more steps to
        ' execute in the branch'.
        Do
            Set cRunning = RunPendingStepInBranch(strRootNode, cRunning)
                    
        Loop While Not cRunning Is Nothing

        RunBranch = mcDummyRootInstance.IsRunning
    End If
    
    Exit Function
    
RunBranchErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    mstrSource = mstrModuleName & "RunBranch"
    Err.Raise vbObjectError + errExecuteBranchFailed, _
            mstrSource, LoadResString(errExecuteBranchFailed)

End Function
Private Sub TimeUpdateForProcess(StepRecord As cStep, _
        ByVal InstanceId As Long, _
        Optional ByVal StartTime As Currency = 0, _
        Optional ByVal EndTime As Currency = 0, _
        Optional ByVal ElapsedTime As Long = 0, _
        Optional Command As String)
    ' We do not maintain start and end timestamps for the constraint
    ' of a step. Hence we check if the process that just started/
    ' terminated is the worker step that is being executed. If so,
    ' we update the start/end time and status on the instance record.
    
    Dim cInstanceRec As cInstance
    Dim sItVal As String
    
    On Error GoTo TimeUpdateForProcessErr
    
    Set cInstanceRec = mcInstances.QueryInstance(InstanceId)
    
    If StartTime = 0 Then
        RaiseEvent ProcessComplete(StepRecord, EndTime, InstanceId, ElapsedTime)
    Else
        sItVal = GetInstanceItValue(cInstanceRec)
        RaiseEvent ProcessStart(StepRecord, Command, StartTime, InstanceId, _
                cInstanceRec.ParentInstanceId, sItVal)
    End If
    
    Call cInstanceRec.UpdateStartTime(StepRecord.StepId, StartTime, EndTime, ElapsedTime)
    
    Exit Sub
    
TimeUpdateForProcessErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    WriteError errUpdateDisplayFailed, mstrModuleName & "TimeUpdateForProcess"

End Sub
Private Sub TimeStartUpdateForStep(StepRecord As cStep, _
        ByVal InstanceId As Long, _
        ByVal StartTime As Currency)

    ' Called when a step starts execution. Checks if this is the
    ' first enabled child of the manager step. If so, updates
    ' the start time and status on the manager.
    ' Also raises the Step Start event for the completed step.
    
    Dim cStartInst As cInstance
    Dim cInstanceRec As cInstance
    Dim LogLabels As New cVectorStr
    Dim iItIndex As Long
    Dim sLogLabel As String
    Dim sPath As String
    Dim sIt As String
    Dim sItVal As String
    
    On Error GoTo TimeStartUpdateForStepErr
    
    Set cStartInst = mcInstances.QueryInstance(InstanceId)
    
    ' Determine the step path and iterator values for the step and raise a step start event
    Set cInstanceRec = cStartInst
    Do While cInstanceRec.Key <> mstrDummyRootKey
        If Not StringEmpty(sPath) Then
            sPath = sPath & gstrFileSeparator
        End If
        sPath = sPath & gstrSQ & cInstanceRec.Step.StepLabel & gstrSQ
        Set cInstanceRec = mcInstances.QueryInstance(cInstanceRec.ParentInstanceId)
    Loop
    
    For iItIndex = cStartInst.Iterators.Count - 1 To 0 Step -1
        If Not StringEmpty(sIt) Then
            sIt = sIt & gstrFileSeparator
        End If
        sIt = sIt & gstrSQ & cStartInst.Iterators(iItIndex).Value & gstrSQ
    Next iItIndex
    
    sItVal = GetInstanceItValue(cStartInst)
    RaiseEvent StepStart(StepRecord, StartTime, InstanceId, cStartInst.ParentInstanceId, _
            sPath, sIt, sItVal)
    
    iItIndex = 0
    Set cInstanceRec = cStartInst
    ' Raise a StepStart event for the manager step, if this is it's first sub-step being executed
    Do While cInstanceRec.Key <> mstrDummyRootKey
    
        sLogLabel = gstrSQ & cInstanceRec.Step.StepLabel & gstrSQ
        If iItIndex < cStartInst.Iterators.Count Then
            If cStartInst.Iterators(iItIndex).StepId = cInstanceRec.Step.StepId Then
                sLogLabel = sLogLabel & msIt & gstrSQ & cStartInst.Iterators(iItIndex).IteratorName & gstrSQ & _
                        msItValue & gstrSQ & cStartInst.Iterators(iItIndex).Value & gstrSQ
                iItIndex = iItIndex + 1
            End If
        End If
        LogLabels.Add sLogLabel
        
        If cInstanceRec.Key <> cStartInst.Key And cInstanceRec.StartTime = 0 Then
            cInstanceRec.StartTime = StartTime
            cInstanceRec.Status = gintRunning
            sItVal = GetInstanceItValue(cInstanceRec)
            ' The step path and iterator values are not needed for manager steps, since
            ' they are primarily used by the run status form
            RaiseEvent StepStart(cInstanceRec.Step, StartTime, cInstanceRec.InstanceId, _
                    cInstanceRec.ParentInstanceId, gstrEmptyString, gstrEmptyString, _
                    sItVal)
        End If
        
        Set cInstanceRec = mcInstances.QueryInstance(cInstanceRec.ParentInstanceId)
    Loop
    
    Call WriteToWspLog(mintStepStart, LogLabels, StartTime)
    Set LogLabels = Nothing
    
    Exit Sub
    
TimeStartUpdateForStepErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    WriteError errUpdateDisplayFailed, mstrModuleName & "TimeStartUpdateForStep"

End Sub
Private Sub WriteToWspLog(iLogEvent As WspLogEvents, Optional StepDtls As cVectorStr, _
        Optional dtStamp As Currency = gdtmEmpty)
        
    ' Writes to the workspace log that is generated for the run. The last three
    ' parameters are valid only for Step Start and Step Complete events.
    Static bError As Boolean
    Dim sLabel As String
    Dim lIndex As Long
    Dim bHdr As Boolean
    Dim cTempConn As cConnection

    On Error GoTo WriteToWspLogErr
    
    Select Case iLogEvent
        Case mintRunStart
            Set mcWspLog = New cFileSM
            mcWspLog.FileName = GetDefaultDir(WspId, mcParameters) & gstrFileSeparator & _
                    Trim(Str(RunId)) & gstrFileSeparator & "SMLog-" & Format(Now, FMT_WSP_LOG_FILE) & gstrLogFileSuffix
            mcWspLog.WriteLine (JulianDateToString(Determine64BitTime()) & " Start Run: " & vbTab & gstrSQ & GetWorkspaceDetails(WorkspaceId:=WspId)) & gstrSQ
            
            ' Write all current parameter values to the log
            bHdr = False
            For lIndex = 0 To mcParameters.ParameterCount - 1
                If mcParameters(lIndex).ParameterType <> gintParameterApplication Then
                    If Not bHdr Then
                        mcWspLog.WriteField JulianDateToString(Determine64BitTime()) & " Parameters: "
                        bHdr = True
                    Else
                        mcWspLog.WriteField vbTab & vbTab & vbTab
                    End If
                    mcWspLog.WriteLine vbTab & gstrSQ & mcParameters(lIndex).ParameterName & gstrSQ & vbTab & vbTab & gstrSQ & mcParameters(lIndex).ParameterValue & gstrSQ
                End If
            Next lIndex

            ' Write all connection properties to the log
            For lIndex = 0 To RunConnections.Count - 1
                Set cTempConn = RunConnections(lIndex)
                If lIndex = 0 Then
                    mcWspLog.WriteField JulianDateToString(Determine64BitTime()) & " Connections: "
                Else
                    mcWspLog.WriteField vbTab & vbTab & vbTab
                End If
                mcWspLog.WriteLine vbTab & gstrSQ & cTempConn.ConnectionName & gstrSQ & _
                        vbTab & vbTab & gstrSQ & cTempConn.ConnectionValue & gstrSQ & _
                        vbTab & "No Count: " & gstrSQ & cTempConn.NoCountDisplay & gstrSQ & gstrBlank & _
                        "No Execute: " & gstrSQ & cTempConn.NoExecute & gstrSQ & gstrBlank & _
                        "Parse Query Only: " & gstrSQ & cTempConn.ParseQueryOnly & gstrSQ & gstrBlank & _
                        "Quoted Identifiers: " & gstrSQ & cTempConn.QuotedIdentifiers & gstrSQ & gstrBlank & _
                        "ANSI Nulls: " & gstrSQ & cTempConn.AnsiNulls & gstrSQ & gstrBlank & _
                        "Show Query Plan: " & gstrSQ & cTempConn.ShowQueryPlan & gstrSQ & gstrBlank & _
                        "Show Stats Time: " & gstrSQ & cTempConn.ShowStatsTime & gstrSQ & gstrBlank & _
                        "Show Stats IO: " & gstrSQ & cTempConn.ShowStatsIO & gstrSQ & gstrBlank & _
                        "Row Count" & gstrSQ & cTempConn.RowCount & gstrSQ & gstrBlank & _
                        "Query Timeout" & gstrSQ & cTempConn.QueryTimeOut & gstrSQ
            Next lIndex

        Case mintRunComplete
            BugAssert Not mcWspLog Is Nothing
            mcWspLog.WriteLine (JulianDateToString(Determine64BitTime()) & " Comp. Run: " & vbTab & gstrSQ & GetWorkspaceDetails(WorkspaceId:=WspId)) & gstrSQ
            Set mcWspLog = Nothing
            
        Case mintStepStart
            For lIndex = StepDtls.Count - 1 To 0 Step -1
                sLabel = StepDtls(lIndex)
                If lIndex = StepDtls.Count - 1 Then
                    mcWspLog.WriteLine JulianDateToString(dtStamp) & " Start Step: " & vbTab & sLabel
                Else
                    mcWspLog.WriteLine vbTab & vbTab & vbTab & vbTab & sLabel
                End If
            Next lIndex
            
        Case mintStepComplete
            For lIndex = StepDtls.Count - 1 To 0 Step -1
                sLabel = StepDtls(lIndex)
                If lIndex = StepDtls.Count - 1 Then
                    mcWspLog.WriteLine JulianDateToString(dtStamp) & " Comp. Step: " & vbTab & sLabel
                Else
                    mcWspLog.WriteLine vbTab & vbTab & vbTab & vbTab & sLabel
                End If
            Next lIndex
            
    End Select
    
    Exit Sub
    
WriteToWspLogErr:
    If Not bError Then
        bError = True
    End If
   
End Sub
'Private Sub WriteToWspLog(iLogEvent As WspLogEvents, Optional StepDtls As cVectorStr, _
'        Optional dtStamp As Date = gdtmEmpty)
'
'   This function uses the LogWriter dll - memory corruption problems since the vb exe
'   and the vc Execute Dll both use the same dll to write.
'    ' Writes to the workspace log that is generated for the run. The last three
'    ' parameters are valid only for StepStart and StepComplete events.
'    Static bError As Boolean
'    Static sFile As String
'    Dim sLabel As String
'    Dim lIndex As Long
'    Dim bHdr As Boolean
'
'    On Error GoTo WriteToWspLogErr
'
'    Select Case iLogEvent
'        Case mintRunStart
'            Set mcWspLog = New LOGWRITERLib.SMLog
'            sFile = App.Path & "\" & "SMLog-" & Format(Now, FMT_WSP_LOG_FILE) & gstrLogFileSuffix
'            mcWspLog.FileName = sFile
'            mcWspLog.Init
'            mcWspLog.WriteLine (Format(Now, FMT_WSP_LOG_DATE) & " Start Run: " & vbTab & gstrSQ & GetWorkspaceDetails(WorkspaceId:=WspId)) & gstrSQ
'
'            ' Write all current parameter values to the log
'            bHdr = False
'            For lIndex = 0 To mcParameters.ParameterCount - 1
'                If mcParameters(lIndex).ParameterType <> gintParameterApplication Then
'                    If Not bHdr Then
'                        'mcWspLog.WriteLine Format(Now, FMT_WSP_LOG_DATE) & " Parameters: " & vbTab & gstrSQ & mcParameters(lIndex).ParameterName & gstrSQ & vbTab & vbTab & gstrSQ & mcParameters(lIndex).ParameterValue & gstrSQ
'                        bHdr = True
'                    Else
'                        'mcWspLog.WriteLine vbTab & vbTab & vbTab & vbTab & gstrSQ & mcParameters(lIndex).ParameterName & gstrSQ & vbTab & vbTab & gstrSQ & mcParameters(lIndex).ParameterValue & gstrSQ
'                    End If
'                End If
'            Next lIndex
'
'        Case mintRunComplete
'            BugAssert Not mcWspLog Is Nothing
'            mcWspLog.WriteLine (Format(Now, FMT_WSP_LOG_DATE) & " Comp. Run: " & vbTab & gstrSQ & GetWorkspaceDetails(WorkspaceId:=WspId)) & gstrSQ
'            Set mcWspLog = Nothing
'
'        Case mintStepStart
'            For lIndex = StepDtls.Count - 1 To 0 Step -1
'                sLabel = StepDtls(lIndex)
'                If lIndex = StepDtls.Count - 1 Then
'                    mcWspLog.WriteLine Format(dtStamp, FMT_WSP_LOG_DATE) & " Start Step: " & vbTab & sLabel
'                Else
'                    mcWspLog.WriteLine vbTab & vbTab & vbTab & vbTab & sLabel
'                End If
'            Next lIndex
'
'        Case mintStepComplete
'            For lIndex = StepDtls.Count - 1 To 0 Step -1
'                sLabel = StepDtls(lIndex)
'                If lIndex = StepDtls.Count - 1 Then
'                    mcWspLog.WriteLine Format(dtStamp, FMT_WSP_LOG_DATE) & " Comp. Step: " & vbTab & sLabel
'                Else
'                    mcWspLog.WriteLine vbTab & vbTab & vbTab & vbTab & sLabel
'                End If
'            Next lIndex
'
'    End Select
'
'    Exit Sub
'
'WriteToWspLogErr:
'    If Not bError Then
'        bError = True
'    End If
'
'End Sub
'
Public Property Get WspPreExecution() As Variant
    WspPreExecution = mcvntWspPreCons
End Property
Public Property Let WspPreExecution(ByVal vdata As Variant)
    mcvntWspPreCons = vdata
End Property

Public Property Get WspPostExecution() As Variant
    WspPostExecution = mcvntWspPostCons
End Property
Public Property Let WspPostExecution(ByVal vdata As Variant)
    mcvntWspPostCons = vdata
End Property

Private Sub ExecuteStep(cCurStep As cInstance)
    ' Initializes a cRunStep object with all the properties
    ' corresponding to the step to be executed and calls it's
    ' execute method to execute the step

    Dim cExecStep As cRunStep
    
    On Error GoTo ExecuteStepErr
    mstrSource = mstrModuleName & "ExecuteStep"
    
    ' Confirm that the step is a worker
    If cCurStep.Step.StepType <> gintWorkerStep Then
        On Error GoTo 0
        Err.Raise vbObjectError + errExecInstanceFailed, mstrSource, _
                LoadResString(errExecInstanceFailed)
    End If
    
    Set cExecStep = InitExecStep()
    ' Exceeded the number of processes that we can run simultaneously
    If cExecStep Is Nothing Then
        ' Raise an error
        On Error GoTo 0
        Err.Raise vbObjectError + errProgramError, mstrSource, _
            LoadResString(errProgramError)
    End If
    ' Initialize the instance id - not needed for step execution
    ' but necessary to identify later which instance completed
    cExecStep.InstanceId = cCurStep.InstanceId
    
    Set cExecStep.ExecuteStep = cCurStep.Step
    Set cExecStep.Iterators = cCurStep.Iterators
    Set cExecStep.Globals = mcRunSteps
    Set cExecStep.WspParameters = mcParameters
    Set cExecStep.WspConnections = RunConnections
    Set cExecStep.WspConnDtls = RunConnDtls
    
    ' Initialize all the pre and post-execution constraints that
    ' have been defined globally for the workspace
    cExecStep.WspPreCons = mcvntWspPreCons
    cExecStep.WspPostCons = mcvntWspPostCons
    
    ' Initialize all the pre and post-execution constraints for
    ' the step being executed
    cExecStep.PreCons = DetermineConstraints(cCurStep, gintPreStep)
    cExecStep.PostCons = DetermineConstraints(cCurStep, gintPostStep)
    
    cExecStep.RunId = RunId
    cExecStep.CreateInputFiles = CreateInputFiles

    ' Call the execute method to execute the step
    cExecStep.Execute
    
    Set cExecStep = Nothing
    
    Exit Sub
    
ExecuteStepErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    Call ExecutionFailed(cExecStep)
    
End Sub

Public Property Set Steps(cRunSteps As cArrSteps)

    Set mcRunSteps = cRunSteps
    Set mcNavSteps.StepRecords = cRunSteps
    
End Property
Public Property Set Parameters(cParameters As cArrParameters)
    ' A reference to the parameter array - we use it to
    ' substitute parameter values in the step text

    Set mcParameters = cParameters
    
End Property
Public Property Get Steps() As cArrSteps

    Set Steps = mcRunSteps
    
End Property
Public Property Get Constraints() As cArrConstraints

    Set Constraints = mcRunConstraints
    
End Property
Public Property Set Constraints(vdata As cArrConstraints)

    Set mcRunConstraints = vdata
    
End Property


Private Sub cExecStep1_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep1_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep1_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep1.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep1_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep9_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep9_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep9_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep9.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep9_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep10_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep10_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep10_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep10.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep10_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep11_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep11_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep11_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep11.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep11_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub
Private Sub cExecStep12_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep12_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep12_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep12.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep12_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub
Private Sub cExecStep13_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep13_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep13_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep13.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep13_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub
Private Sub cExecStep14_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep14_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep14_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep14.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep14_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub
Private Sub cExecStep15_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep15_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep15_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep15.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep15_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub
Private Sub cExecStep16_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep16_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep16_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep16.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep16_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub
Private Sub cExecStep17_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep17_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep17_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep17.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep17_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep18_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep18_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep18_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep18.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep18_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep19_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub


Private Sub cExecStep19_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep19_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep19.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep19_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep20_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep20_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep20_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep20.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep20_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep21_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep21_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep21_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep21.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep21_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep22_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep22_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep22_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep22.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep22_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep23_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep23_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep23_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep23.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep23_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep24_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep24_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep24_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep24.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep24_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep25_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep25_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep25_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep25.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep25_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep26_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep26_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep26_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep26.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep26_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep27_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep27_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep27_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep27.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep27_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep28_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep28_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep28_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep28.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep28_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep29_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep29_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep29_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep29.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep29_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep30_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep30_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep30_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep30.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep30_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep31_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep31_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep31_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep31.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep31_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep32_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep32_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep32_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep32.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep32_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep33_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep33_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep33_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep33.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep33_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep34_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep34_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep34_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep34.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep34_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep35_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep35_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep35_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep35.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep35_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep36_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep36_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep36_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep36.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep36_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep37_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep37_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep37_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep37.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep37_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep38_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep38_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep38_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep38.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep38_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep39_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep39_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep39_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep39.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep39_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep40_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep40_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep40_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep40.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep40_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep41_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep41_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep41_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep41.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep41_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep42_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep42_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep42_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep42.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep42_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep43_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep43_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep43_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep43.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep43_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep44_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep44_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep44_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep44.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep44_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep45_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep45_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep45_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep45.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep45_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep46_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep46_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep46_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep46.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep46_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep47_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep47_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep47_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep47.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep47_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep48_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep48_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep48_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep48.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep48_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep49_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep49_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep49_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep49.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep49_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep50_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep50_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep50_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep50.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep50_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep51_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep51_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep51_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep51.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep51_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep52_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep52_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep52_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep52.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep52_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep53_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep53_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep53_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep53.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep53_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep54_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep54_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep54_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep54.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep54_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep55_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep55_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep55_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep55.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep55_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep56_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep56_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep56_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep56.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep56_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep57_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep57_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep57_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep57.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep57_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep58_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep58_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep58_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep58.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep58_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep59_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep59_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep59_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep59.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep59_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep60_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep60_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep60_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep60.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep60_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep61_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep61_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep61_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep61.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep61_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep62_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep62_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep62_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep62.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep62_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep63_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep63_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep63_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep63.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep63_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep64_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep64_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep64_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep64.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep64_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep65_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep65_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep65_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep65.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep65_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep66_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep66_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep66_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep66.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep66_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep67_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep67_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep67_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep67.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep67_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep68_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep68_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep68_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep68.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep68_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep69_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep69_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep69_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep69.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep69_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep70_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep70_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep70_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep70.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep70_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep71_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep71_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep71_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep71.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep71_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep72_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep72_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep72_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep72.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep72_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep73_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep73_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep73_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep73.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep73_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep74_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep74_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep74_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep74.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep74_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep75_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep75_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep75_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep75.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep75_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep76_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep76_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep76_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep76.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep76_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep77_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep77_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep77_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep77.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep77_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep78_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep78_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep78_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep78.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep78_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep79_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep79_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep79_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep79.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep79_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep80_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep80_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep80_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep80.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep80_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep81_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep81_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep81_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep81.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep81_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep82_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep82_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep82_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep82.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep82_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep83_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep83_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep83_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep83.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep83_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep84_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep84_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep84_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep84.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep84_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep85_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep85_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep85_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep85.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep85_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep86_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep86_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep86_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep86.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep86_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep87_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep87_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep87_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep87.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep87_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep88_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep88_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep88_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep88.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep88_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep89_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep89_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep89_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep89.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep89_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep90_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep90_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep90_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep90.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep90_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep91_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep91_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep91_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep91.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep91_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep92_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep92_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep92_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep92.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep92_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep93_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep93_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep93_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep93.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep93_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep94_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep94_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep94_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep94.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep94_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep95_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep95_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep95_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep95.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep95_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep96_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep96_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep96_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep96.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep96_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep97_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep97_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep97_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep97.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep97_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep98_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep98_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep98_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep98.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep98_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep99_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)
    
End Sub

Private Sub cExecStep99_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep99_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep99.Index, InstanceId, Status)
    
End Sub

Private Sub cExecStep99_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep2_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)

End Sub

Private Sub cExecStep2_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep2_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep2.Index, _
            InstanceId, Status)
    
End Sub

Private Sub cExecStep2_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub


Private Sub cExecStep3_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)

End Sub

Private Sub cExecStep3_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub


Private Sub cExecStep3_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep3.Index, _
            InstanceId, Status)

End Sub

Private Sub cExecStep3_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub


Private Sub cExecStep4_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)

End Sub

Private Sub cExecStep4_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep4_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep4.Index, _
            InstanceId, Status)
    
End Sub


Private Sub cExecStep4_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep5_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)

End Sub

Private Sub cExecStep5_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep5_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep5.Index, _
            InstanceId, Status)
    
End Sub

Private Sub cExecStep5_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep6_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)

End Sub

Private Sub cExecStep6_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep6_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep6.Index, _
            InstanceId, Status)
    
End Sub

Private Sub cExecStep6_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep7_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)

End Sub

Private Sub cExecStep7_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep7_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep7.Index, _
            InstanceId, Status)
    
End Sub

Private Sub cExecStep7_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub cExecStep8_ProcessComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, lngInstanceId As Long, lElapsed As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, EndTime:=dtmEndTime, ElapsedTime:=lElapsed)

End Sub

Private Sub cExecStep8_ProcessStart(cStepRecord As cStep, _
        strCommand As String, dtmStartTime As Currency, lngInstanceId As Long)

    Call TimeUpdateForProcess(cStepRecord, lngInstanceId, StartTime:=dtmStartTime, Command:=strCommand)

End Sub

Private Sub cExecStep8_StepComplete(cStepRecord As cStep, _
        dtmEndTime As Currency, InstanceId As Long, Status As InstanceStatus)

    Call StepTerminated(cStepRecord, dtmEndTime, cExecStep8.Index, _
            InstanceId, Status)
    
End Sub

Private Sub cExecStep8_StepStart(cStepRecord As cStep, _
        dtmStartTime As Currency, InstanceId As Long)

    Call TimeStartUpdateForStep(cStepRecord, InstanceId, dtmStartTime)

End Sub

Private Sub Class_Initialize()
    
    Dim lngCount As Long
    Dim lngTemp As Long

    On Error GoTo InitializeErr
    
    Set mcFreeSteps = New cVectorLng
    ' Initialize the array of free objects with all elements
    ' for now
    For lngCount = 0 To glngNumConcurrentProcesses - 1 Step 1
        mcFreeSteps.Add lngCount
    Next lngCount
    
    ' Initialize a byte array with the number of free processes. It will
    ' be used later to determine if any step is running
    ' Each element in the array can represent 8 steps, 1 for each bit
    ReDim mbarrFree(glngNumConcurrentProcesses \ gintBitsPerByte)
    
    ' Initialize each element in the byte array w/ all 1's
    ' (upto glngNumConcurrentProcesses)
    For lngCount = LBound(mbarrFree) To UBound(mbarrFree) Step 1
        lngTemp = IIf( _
                glngNumConcurrentProcesses - (gintBitsPerByte * lngCount) > gintBitsPerByte, _
                gintBitsPerByte, _
                glngNumConcurrentProcesses - (gintBitsPerByte * lngCount))
        
        mbarrFree(lngCount) = (2 ^ lngTemp) - 1
    Next lngCount
    
    Set mcInstances = New cInstances
    Set mcFailures = New cFailedSteps
    Set mcNavSteps = New cStepTree
    Set mcTermSteps = New cTermSteps
    
    ' Initialize the Abort flag to False
    mblnAbort = False
    mblnAsk = False

    Exit Sub
    
InitializeErr:
    ' Log the error code raised by Visual Basic
    Call LogErrors(Errors)
    On Error GoTo 0
    Err.Raise vbObjectError + errInitializeFailed, mstrModuleName & "Initialize", _
            LoadResString(errInitializeFailed)
    
End Sub
Private Sub Class_Terminate()
    
    On Error GoTo Class_TerminateErr
    
    mcFreeSteps.Clear
    Set mcFreeSteps = Nothing
    ReDim mbarrFree(0)
    
    mcInstances.Clear
    Set mcInstances = Nothing
    
    Set mcFailures = Nothing
    Set mcNavSteps = Nothing
    Set mcTermSteps = Nothing

    Exit Sub

Class_TerminateErr:
    Call LogErrors(Errors)
    
End Sub

Private Sub mcTermSteps_TermStepExists(cStepDetails As cTermStep)

    Call RunNextStep(cStepDetails.TimeComplete, cStepDetails.Index, _
            cStepDetails.InstanceId, cStepDetails.ExecutionStatus)
            
End Sub

